Index: general.ent
===================================================================
--- general.ent	(revision cba9c0414703788e08d444f79b7515d65b15ab92)
+++ general.ent	(revision 92245989f0762ccff9cc822b575fbd04c125b01d)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "15">                   <!-- Always 2 digits -->
+<!ENTITY day          "18">                   <!-- Always 2 digits -->
 <!ENTITY month        "12">                   <!-- Always 2 digits -->
 <!ENTITY year         "2016">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "December 15th &year;">
+<!ENTITY releasedate  "December 18th &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/genlib/apr.xml
===================================================================
--- general/genlib/apr.xml	(revision cba9c0414703788e08d444f79b7515d65b15ab92)
+++ general/genlib/apr.xml	(revision 92245989f0762ccff9cc822b575fbd04c125b01d)
@@ -89,7 +89,5 @@
     </para>
 
-<screen><userinput>sed -i "/seems to be moved/s/^/#/" build/ltmain.sh &amp;&amp;
-
-./configure --prefix=/usr    \
+<screen><userinput>./configure --prefix=/usr    \
             --disable-static \
             --with-installbuilddir=/usr/share/apr-1/build &amp;&amp;
Index: general/genlib/libical.xml
===================================================================
--- general/genlib/libical.xml	(revision cba9c0414703788e08d444f79b7515d65b15ab92)
+++ general/genlib/libical.xml	(revision 92245989f0762ccff9cc822b575fbd04c125b01d)
@@ -130,7 +130,8 @@
 cd build &amp;&amp;
 
-cmake -DCMAKE_INSTALL_PREFIX=/usr \
-      -DCMAKE_BUILD_TYPE=Release  \
-      -DSHARED_ONLY=yes           \
+cmake -DCMAKE_INSTALL_PREFIX=/usr      \
+      -DCMAKE_INSTALL_LIBDIR=/usr/lib  \
+      -DCMAKE_BUILD_TYPE=Release       \
+      -DSHARED_ONLY=yes                \
       .. &amp;&amp;
 make</userinput></screen>
Index: general/genlib/libxml2.xml
===================================================================
--- general/genlib/libxml2.xml	(revision cba9c0414703788e08d444f79b7515d65b15ab92)
+++ general/genlib/libxml2.xml	(revision 92245989f0762ccff9cc822b575fbd04c125b01d)
@@ -126,6 +126,5 @@
     </para>
 
-<screen><userinput>sed -i "/seems to be moved/s/^/#/" ltmain.sh &amp;&amp;
-./configure --prefix=/usr --disable-static --with-history &amp;&amp;
+<screen><userinput>./configure --prefix=/usr --disable-static --with-history &amp;&amp;
 make</userinput></screen>
 
Index: general/genlib/libxslt.xml
===================================================================
--- general/genlib/libxslt.xml	(revision cba9c0414703788e08d444f79b7515d65b15ab92)
+++ general/genlib/libxslt.xml	(revision 92245989f0762ccff9cc822b575fbd04c125b01d)
@@ -114,6 +114,5 @@
     </para>
 
-<screen><userinput>sed -i "/seems to be moved/s/^/#/" ltmain.sh &amp;&amp;
-./configure --prefix=/usr --disable-static &amp;&amp;
+<screen><userinput>./configure --prefix=/usr --disable-static &amp;&amp;
 make</userinput></screen>
 
Index: general/genlib/qca.xml
===================================================================
--- general/genlib/qca.xml	(revision cba9c0414703788e08d444f79b7515d65b15ab92)
+++ general/genlib/qca.xml	(revision 92245989f0762ccff9cc822b575fbd04c125b01d)
@@ -102,4 +102,5 @@
 
 cmake -DCMAKE_INSTALL_PREFIX=$QT5DIR            \
+      -DCMAKE_INSTALL_LIBDIR=lib                \
       -DCMAKE_BUILD_TYPE=Release                \
       -DQCA_MAN_INSTALL_DIR:PATH=/usr/share/man \
Index: general/genutils/imagemagick.xml
===================================================================
--- general/genutils/imagemagick.xml	(revision cba9c0414703788e08d444f79b7515d65b15ab92)
+++ general/genutils/imagemagick.xml	(revision 92245989f0762ccff9cc822b575fbd04c125b01d)
@@ -217,7 +217,5 @@
     </para>
 
-<screen><userinput>sed -i '/seems to be moved/ s/^/true #/' config/ltmain.sh &amp;&amp;
-
-./configure --prefix=/usr     \
+<screen><userinput>./configure --prefix=/usr     \
             --sysconfdir=/etc \
             --enable-hdri     \
Index: general/graphlib/gegl.xml
===================================================================
--- general/graphlib/gegl.xml	(revision cba9c0414703788e08d444f79b7515d65b15ab92)
+++ general/graphlib/gegl.xml	(revision 92245989f0762ccff9cc822b575fbd04c125b01d)
@@ -116,8 +116,4 @@
     <title>Installation of gegl</title>
 
-    <para>If desired, prevent the ouput of numerous invalid warnings:</para>
-
-<screen><userinput>sed -i "/seems to be moved/s/^/: #/" ltmain.sh</userinput></screen>
-
     <para>
       Install <application>gegl</application> by running the following commands:
Index: general/graphlib/librsvg.xml
===================================================================
--- general/graphlib/librsvg.xml	(revision cba9c0414703788e08d444f79b7515d65b15ab92)
+++ general/graphlib/librsvg.xml	(revision 92245989f0762ccff9cc822b575fbd04c125b01d)
@@ -106,6 +106,5 @@
     </para>
 
-<screen><userinput>sed -i "/seems to be moved/s/^/#/" ltmain.sh &amp;&amp;
-./configure --prefix=/usr    \
+<screen><userinput>./configure --prefix=/usr    \
             --enable-vala    \
             --disable-static &amp;&amp;
@@ -125,9 +124,4 @@
   <sect2 role="commands">
     <title>Command Explanations</title>
-
-    <para>
-      <command>sed -i ... ltmain.sh</command>: This sed silences several
-      useless and annoying warnings generated by libtool.
-    </para>
 
     <para>
Index: general/graphlib/libtiff.xml
===================================================================
--- general/graphlib/libtiff.xml	(revision cba9c0414703788e08d444f79b7515d65b15ab92)
+++ general/graphlib/libtiff.xml	(revision 92245989f0762ccff9cc822b575fbd04c125b01d)
@@ -106,6 +106,5 @@
     </para>
 
-<screen><userinput>sed -i "/seems to be moved/s/^/#/" config/ltmain.sh &amp;&amp;
-./configure --prefix=/usr --disable-static &amp;&amp;
+<screen><userinput>./configure --prefix=/usr --disable-static &amp;&amp;
 make</userinput></screen>
 
Index: general/prog/gcc-ada.xml
===================================================================
--- general/prog/gcc-ada.xml	(revision cba9c0414703788e08d444f79b7515d65b15ab92)
+++ general/prog/gcc-ada.xml	(revision 92245989f0762ccff9cc822b575fbd04c125b01d)
@@ -237,5 +237,12 @@
     </para>
 
-<screen><userinput>mkdir build &amp;&amp;
+<screen><userinput>case $(uname -m) in
+  x86_64)
+    sed -e '/m64=/s/lib64/lib/' \
+        -i.orig gcc/config/i386/t-linux64
+  ;;
+esac
+
+mkdir build &amp;&amp;
 cd    build &amp;&amp;
 
Index: general/prog/gcc-java.xml
===================================================================
--- general/prog/gcc-java.xml	(revision cba9c0414703788e08d444f79b7515d65b15ab92)
+++ general/prog/gcc-java.xml	(revision 92245989f0762ccff9cc822b575fbd04c125b01d)
@@ -156,5 +156,12 @@
     </para>
 
-<screen><userinput>sed -i 's/\(install.*:\) install-.*recursive/\1/' libffi/Makefile.in         &amp;&amp;
+<screen><userinput>case $(uname -m) in
+  x86_64)
+    sed -e '/m64=/s/lib64/lib/' \
+        -i.orig gcc/config/i386/t-linux64
+  ;;
+esac
+
+sed -i 's/\(install.*:\) install-.*recursive/\1/' libffi/Makefile.in         &amp;&amp;
 sed -i 's/\(install-data-am:\).*/\1/'             libffi/include/Makefile.in &amp;&amp;
 sed -i 's/absolute/file normalize/' libjava/testsuite/lib/libjava.exp &amp;&amp;
Index: general/prog/gcc.xml
===================================================================
--- general/prog/gcc.xml	(revision cba9c0414703788e08d444f79b7515d65b15ab92)
+++ general/prog/gcc.xml	(revision 92245989f0762ccff9cc822b575fbd04c125b01d)
@@ -169,5 +169,12 @@
     </para>
 
-<screen><userinput>mkdir build                                          &amp;&amp;
+<screen><userinput>case $(uname -m) in
+  x86_64)
+    sed -e '/m64=/s/lib64/lib/' \
+        -i.orig gcc/config/i386/t-linux64
+  ;;
+esac
+
+mkdir build                                          &amp;&amp;
 cd    build                                          &amp;&amp;
 
Index: general/prog/guile.xml
===================================================================
--- general/prog/guile.xml	(revision cba9c0414703788e08d444f79b7515d65b15ab92)
+++ general/prog/guile.xml	(revision 92245989f0762ccff9cc822b575fbd04c125b01d)
@@ -100,7 +100,5 @@
     </para>
 
-<screen><userinput>sed -i "/seems to be moved/s/^/:#/" build-aux/ltmain.sh &amp;&amp;
-
-./configure --prefix=/usr    \
+<screen><userinput>./configure --prefix=/usr    \
             --disable-static \
             --docdir=/usr/share/doc/guile-&guile-version; &amp;&amp;
@@ -140,8 +138,4 @@
   <sect2 role="commands">
     <title>Command Explanations</title>
-
-    <para><command>sed -i ... build-aux/ltmain.sh</command>:
-    This sed disables a lot invalid warnings about moved libraries generated
-    by libtool.</para>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: general/prog/pygobject2.xml
===================================================================
--- general/prog/pygobject2.xml	(revision cba9c0414703788e08d444f79b7515d65b15ab92)
+++ general/prog/pygobject2.xml	(revision 92245989f0762ccff9cc822b575fbd04c125b01d)
@@ -107,5 +107,4 @@
 
 <screen><userinput>patch -Np1 -i ../pygobject-&pygobject2-version;-fixes-1.patch   &amp;&amp;
-sed -i "/seems to be moved/s/^/#/" ltmain.sh &amp;&amp;
 ./configure --prefix=/usr --disable-introspection &amp;&amp;
 make</userinput></screen>
@@ -124,9 +123,4 @@
     <sect3 role="commands">
       <title>Command Explanations</title>
-
-      <para>
-        <command>sed -i ... ltmain.sh</command>: This sed silences several
-        useless and annoying warnings generated by libtool.
-      </para>
 
       <para>
Index: general/prog/subversion.xml
===================================================================
--- general/prog/subversion.xml	(revision cba9c0414703788e08d444f79b7515d65b15ab92)
+++ general/prog/subversion.xml	(revision 92245989f0762ccff9cc822b575fbd04c125b01d)
@@ -147,6 +147,5 @@
     </para>
 
-<screen><userinput>sed -i "/seems to be moved/s/^/#/" build/ltmain.sh &amp;&amp;
-./configure --prefix=/usr    \
+<screen><userinput>./configure --prefix=/usr    \
             --disable-static \
             --with-apache-libexecdir &amp;&amp;
@@ -243,9 +242,4 @@
   <sect2 role="commands">
     <title>Command Explanations</title>
-
-    <para>
-      <command>sed -i ... build/ltmain.sh</command>: This sed silences several 
-      annoying and useless warnings emitted from libtool.
-    </para>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: general/sysutils/colord.xml
===================================================================
--- general/sysutils/colord.xml	(revision cba9c0414703788e08d444f79b7515d65b15ab92)
+++ general/sysutils/colord.xml	(revision 92245989f0762ccff9cc822b575fbd04c125b01d)
@@ -135,6 +135,5 @@
     </para>
 
-<screen revision="sysv"><userinput>sed -i "/seems to be moved/s/^/#/" ltmain.sh &amp;&amp;
-./configure --prefix=/usr                \
+<screen revision="sysv"><userinput>./configure --prefix=/usr                \
             --sysconfdir=/etc            \
             --localstatedir=/var         \
@@ -148,6 +147,5 @@
 make</userinput></screen>
 
-<screen revision="systemd"><userinput>sed -i "/seems to be moved/s/^/#/" ltmain.sh &amp;&amp;
-./configure --prefix=/usr                \
+<screen revision="systemd"><userinput>./configure --prefix=/usr                \
             --sysconfdir=/etc            \
             --localstatedir=/var         \
@@ -176,9 +174,4 @@
   <sect2 role="commands">
     <title>Command Explanations</title>
-
-    <para>
-      <command>sed -i ... ltmain.sh</command>: This sed command silences
-      several useless and annoying warnings generated by libtool.
-    </para>
 
     <para>
Index: gnome/applications/evolution.xml
===================================================================
--- gnome/applications/evolution.xml	(revision cba9c0414703788e08d444f79b7515d65b15ab92)
+++ gnome/applications/evolution.xml	(revision 92245989f0762ccff9cc822b575fbd04c125b01d)
@@ -128,6 +128,5 @@
     </para>
 
-<screen><userinput>sed -i "/seems to be moved/s/^/#/" ltmain.sh &amp;&amp;
-./configure --prefix=/usr         \
+<screen><userinput>./configure --prefix=/usr         \
             --sysconfdir=/etc     \
             --disable-gtkspell    \
@@ -150,9 +149,4 @@
   <sect2 role="commands">
     <title>Command Explanations</title>
-
-    <para>
-      <command>sed -i ... ltmain.sh</command>: This command prevents the build
-      procedure from outputting a lot of invalid warnings.
-    </para>
 
 <!--
Index: gnome/platform/rest.xml
===================================================================
--- gnome/platform/rest.xml	(revision cba9c0414703788e08d444f79b7515d65b15ab92)
+++ gnome/platform/rest.xml	(revision 92245989f0762ccff9cc822b575fbd04c125b01d)
@@ -105,6 +105,5 @@
     </para>
 
-<screen><userinput>sed -i "/seems to be moved/s/^/#/" build/ltmain.sh &amp;&amp;
-./configure --prefix=/usr \
+<screen><userinput>./configure --prefix=/usr \
     --with-ca-certificates=/etc/ssl/ca-bundle.crt &amp;&amp;
 make</userinput></screen>
@@ -125,9 +124,4 @@
     <title>Command Explanations</title>
 
-    <para>
-      <command>sed -i ... build/ltmain.sh</command>: This sed silences several
-      useless and annoying warnings generated by libtool.
-    </para>
-   
     <para>
       <parameter>--with-ca-certificates=/etc/ssl/ca-bundle.crt</parameter>: This
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision cba9c0414703788e08d444f79b7515d65b15ab92)
+++ introduction/welcome/changelog.xml	(revision 92245989f0762ccff9cc822b575fbd04c125b01d)
@@ -44,4 +44,16 @@
 -->
     <listitem>
+      <para>December 18th, 2016</para>
+      <itemizedlist>
+        <listitem>
+          <para>[dj] - Merge changes from nosym branch. Adjust gcc installation
+          for new library directories. Remove all sed commands for ltmain.sh.
+          Explicitly define libdir for freeglut, libdbusmenuqt, libical,
+          oxygen-fonts, and qca.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>December 15th, 2016</para>
       <itemizedlist>
Index: kde/kf5/oxygen-fonts.xml
===================================================================
--- kde/kf5/oxygen-fonts.xml	(revision cba9c0414703788e08d444f79b7515d65b15ab92)
+++ kde/kf5/oxygen-fonts.xml	(revision 92245989f0762ccff9cc822b575fbd04c125b01d)
@@ -94,5 +94,6 @@
 cd    build &amp;&amp;
 
-cmake -DCMAKE_INSTALL_PREFIX=/usr ..</userinput></screen>
+cmake -DCMAKE_INSTALL_PREFIX=/usr \
+      -DCMAKE_INSTALL_LIBDIR=lib ..</userinput></screen>
 
     <para>
Index: kde/libdbusmenuqt.xml
===================================================================
--- kde/libdbusmenuqt.xml	(revision cba9c0414703788e08d444f79b7515d65b15ab92)
+++ kde/libdbusmenuqt.xml	(revision 92245989f0762ccff9cc822b575fbd04c125b01d)
@@ -84,4 +84,5 @@
 
 cmake -DCMAKE_INSTALL_PREFIX=/usr \
+      -DCMAKE_INSTALL_LIBDIR=lib  \
       -DCMAKE_BUILD_TYPE=Release  \
       -DWITH_DOC=OFF              \
Index: multimedia/libdriv/pulseaudio.xml
===================================================================
--- multimedia/libdriv/pulseaudio.xml	(revision cba9c0414703788e08d444f79b7515d65b15ab92)
+++ multimedia/libdriv/pulseaudio.xml	(revision 92245989f0762ccff9cc822b575fbd04c125b01d)
@@ -124,10 +124,4 @@
   <sect2 role="installation">
     <title>Installation of PulseAudio</title>
-
-    <note><para>The build procedure emits a lot of invalid warnings.
-    If desired, remove them with:</para>
-
-<screen><userinput>sed -i "/seems to be moved/s/^/#/" build-aux/ltmain.sh</userinput></screen>
-    </note>
 
     <para>
Index: multimedia/videoutils/vlc.xml
===================================================================
--- multimedia/videoutils/vlc.xml	(revision cba9c0414703788e08d444f79b7515d65b15ab92)
+++ multimedia/videoutils/vlc.xml	(revision 92245989f0762ccff9cc822b575fbd04c125b01d)
@@ -226,10 +226,4 @@
 
     <para>
-      If you wish to avoid many invalid warnings, issue:
-    </para>
-
-<screen><userinput>sed -i '/seems to be moved/s/^/#/' autotools/ltmain.sh</userinput></screen>
-
-    <para>
       Install <application>VLC</application> by running the following commands:
     </para>
Index: networking/netlibs/libsoup.xml
===================================================================
--- networking/netlibs/libsoup.xml	(revision cba9c0414703788e08d444f79b7515d65b15ab92)
+++ networking/netlibs/libsoup.xml	(revision 92245989f0762ccff9cc822b575fbd04c125b01d)
@@ -114,6 +114,5 @@
     </para>
 
-<screen><userinput>sed -i "/seems to be moved/s/^/#/" build-aux/ltmain.sh &amp;&amp;
-./configure --prefix=/usr --disable-static &amp;&amp;
+<screen><userinput>./configure --prefix=/usr --disable-static &amp;&amp;
 make</userinput></screen>
 
@@ -132,9 +131,4 @@
   <sect2 role="commands">
     <title>Command Explanations</title>
-
-    <para>
-      <command>sed -i ... build-aux/ltmain.sh</command>: This sed silences
-      several useless and annoying warnings generated by libtool.
-    </para>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: postlfs/security/polkit.xml
===================================================================
--- postlfs/security/polkit.xml	(revision cba9c0414703788e08d444f79b7515d65b15ab92)
+++ postlfs/security/polkit.xml	(revision 92245989f0762ccff9cc822b575fbd04c125b01d)
@@ -165,6 +165,5 @@
     </para>
 
-<screen revision="sysv"><userinput>sed -i "/seems to be moved/s/^/#/" ltmain.sh &amp;&amp;
-./configure --prefix=/usr                    \
+<screen revision="sysv"><userinput>./configure --prefix=/usr                    \
             --sysconfdir=/etc                \
             --localstatedir=/var             \
@@ -174,6 +173,5 @@
 make</userinput></screen>
 
-<screen revision="systemd"><userinput>sed -i "/seems to be moved/s/^/#/" ltmain.sh &amp;&amp;
-./configure --prefix=/usr                    \
+<screen revision="systemd"><userinput>./configure --prefix=/usr                    \
             --sysconfdir=/etc                \
             --localstatedir=/var             \
@@ -199,9 +197,4 @@
   <sect2 role="commands">
     <title>Command Explanations</title>
-
-    <para>
-      <command>sed -i ... ltmain.sh</command>: This sed silences many useless
-      and annoying warnings from libtool.
-    </para>
 
     <para revision="sysv">
Index: server/major/bind.xml
===================================================================
--- server/major/bind.xml	(revision cba9c0414703788e08d444f79b7515d65b15ab92)
+++ server/major/bind.xml	(revision 92245989f0762ccff9cc822b575fbd04c125b01d)
@@ -253,6 +253,5 @@
 cp /etc/localtime etc &amp;&amp;
 touch /srv/named/managed-keys.bind &amp;&amp;
-cp /usr/lib/engines/libgost.so usr/lib/engines &amp;&amp;
-[ $(uname -m) = x86_64 ] &amp;&amp; ln -sv lib usr/lib64</userinput></screen>
+cp /usr/lib/engines/libgost.so usr/lib/engines</userinput></screen>
 
       <para>The <filename>rndc.conf</filename> file contains information for
Index: x/installing/libva.xml
===================================================================
--- x/installing/libva.xml	(revision cba9c0414703788e08d444f79b7515d65b15ab92)
+++ x/installing/libva.xml	(revision 92245989f0762ccff9cc822b575fbd04c125b01d)
@@ -147,6 +147,5 @@
     </para>
 
-<screen><userinput>sed -i "/seems to be moved/s/^/#/" ltmain.sh &amp;&amp;
-./configure $XORG_CONFIG &amp;&amp;
+<screen><userinput>./configure $XORG_CONFIG &amp;&amp;
 make</userinput></screen>
 
@@ -197,9 +196,4 @@
       wayland-scanner when configuring.  It can be omitted if 
       <xref linkend="wayland"/> has been built.
-    </para>
-
-    <para>
-      <command>sed -i ... ltmain.sh</command>: This sed silences many
-      annoying and useless warnings from libtool.
     </para>
 
Index: x/installing/mesa.xml
===================================================================
--- x/installing/mesa.xml	(revision cba9c0414703788e08d444f79b7515d65b15ab92)
+++ x/installing/mesa.xml	(revision 92245989f0762ccff9cc822b575fbd04c125b01d)
@@ -184,6 +184,4 @@
 
 <screen><userinput>sed -i "/pthread_stubs_possible=/s/yes/no/" configure.ac &amp;&amp;
-sed -i "/seems to be moved/s/^/: #/" bin/ltmain.sh       &amp;&amp;
-
 ./autogen.sh CFLAGS='-O2' CXXFLAGS='-O2'    \
             --prefix=$XORG_PREFIX           \
@@ -243,9 +241,4 @@
       on the <application>libpthread-stubs</application> package which is
       useless on Linux.
-    </para>
-
-    <para>
-      <command>sed -i ... bin/ltmain.sh</command>: This sed silences several
-      useless and annoying warnings from libtool.
     </para>
 
Index: x/installing/x7lib.xml
===================================================================
--- x/installing/x7lib.xml	(revision cba9c0414703788e08d444f79b7515d65b15ab92)
+++ x/installing/x7lib.xml	(revision 92245989f0762ccff9cc822b575fbd04c125b01d)
@@ -255,8 +255,4 @@
   pushd $packagedir
   case $packagedir in
-    libX11-[0-9]* )
-      sed -i "/seems to be moved/s/^/#/" ltmain.sh
-      ./configure $XORG_CONFIG
-    ;;
     libXfont2-[0-9]* )
       ./configure $XORG_CONFIG --disable-devel-docs
@@ -286,9 +282,4 @@
   <sect2 role="commands">
     <title>Command Explanations</title>
-
-    <para>
-      <command>sed -i ... ltmain.sh</command>: This sed silences several
-      annoying and useless warnings from libtool.
-    </para>
 
     <para><parameter>--disable-devel-docs</parameter>: Disable generation of
Index: x/lib/at-spi2-atk.xml
===================================================================
--- x/lib/at-spi2-atk.xml	(revision cba9c0414703788e08d444f79b7515d65b15ab92)
+++ x/lib/at-spi2-atk.xml	(revision 92245989f0762ccff9cc822b575fbd04c125b01d)
@@ -94,6 +94,5 @@
     </para>
 
-<screen><userinput>sed -i "/seems to be moved/s/^/#/" config/ltmain.sh &amp;&amp;
-./configure --prefix=/usr &amp;&amp;
+<screen><userinput>./configure --prefix=/usr &amp;&amp;
 make</userinput></screen>
 
@@ -111,13 +110,4 @@
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
       href="../../xincludes/gsettings-destdir.xml"/>
-  </sect2>
-
-  <sect2 role="commands">
-    <title>Command Explanations</title>
-    
-    <para>
-      <command>sed -i ... ltmain.sh</command>: This sed silences several
-      useless and obsolete warnings generated from libtool.
-    </para>
 
   </sect2>
Index: x/lib/freeglut.xml
===================================================================
--- x/lib/freeglut.xml	(revision cba9c0414703788e08d444f79b7515d65b15ab92)
+++ x/lib/freeglut.xml	(revision 92245989f0762ccff9cc822b575fbd04c125b01d)
@@ -105,4 +105,5 @@
 
 cmake -DCMAKE_INSTALL_PREFIX=/usr      \
+      -DCMAKE_INSTALL_LIBDIR=/usr/lib  \
       -DCMAKE_BUILD_TYPE=Release       \
       -DFREEGLUT_BUILD_DEMOS=OFF       \
Index: x/lib/gdk-pixbuf.xml
===================================================================
--- x/lib/gdk-pixbuf.xml	(revision cba9c0414703788e08d444f79b7515d65b15ab92)
+++ x/lib/gdk-pixbuf.xml	(revision 92245989f0762ccff9cc822b575fbd04c125b01d)
@@ -118,6 +118,5 @@
     </para>
 
-<screen><userinput>sed -i "/seems to be moved/s/^/#/" ltmain.sh &amp;&amp;
-./configure --prefix=/usr --with-x11 &amp;&amp;
+<screen><userinput>./configure --prefix=/usr --with-x11 &amp;&amp;
 make</userinput></screen>
 
@@ -147,9 +146,4 @@
   <sect2 role="commands">
     <title>Command Explanations</title>
-
-    <para>
-      <command>sed -i ... ltmain.sh</command>: This sed silences several
-      useless and annoying warnings generated from libtool.
-    </para>
 
     <para>
Index: x/lib/gtk+2.xml
===================================================================
--- x/lib/gtk+2.xml	(revision cba9c0414703788e08d444f79b7515d65b15ab92)
+++ x/lib/gtk+2.xml	(revision 92245989f0762ccff9cc822b575fbd04c125b01d)
@@ -115,6 +115,4 @@
     -i docs/{faq,tutorial}/Makefile.in      &amp;&amp;
 
-sed -i "/seems to be moved/s/^/#/" ltmain.sh &amp;&amp;
-
 ./configure --prefix=/usr --sysconfdir=/etc &amp;&amp;
 
@@ -150,9 +148,4 @@
   <sect2 role="commands">
     <title>Command Explanations</title>
-
-    <para>
-      <command>sed -i ... ltmain.sh</command>: This sed silences several
-      useless and obsolete warnings generated from libtool.
-    </para>
 
     <para>
Index: x/lib/gtk+3.xml
===================================================================
--- x/lib/gtk+3.xml	(revision cba9c0414703788e08d444f79b7515d65b15ab92)
+++ x/lib/gtk+3.xml	(revision 92245989f0762ccff9cc822b575fbd04c125b01d)
@@ -143,7 +143,5 @@
     </para>
 
-<screen><userinput>sed -i "/seems to be moved/s/^/#/" build-aux/ltmain.sh &amp;&amp;
-
-./configure --prefix=/usr             \
+<screen><userinput>./configure --prefix=/usr             \
             --sysconfdir=/etc         \
             --enable-broadway-backend \
@@ -195,9 +193,4 @@
   <sect2 role="commands">
     <title>Command Explanations</title>
-
-    <para>
-      <command>sed -i ... build-aux/ltmain.sh</command>: This sed silences
-      several useless and annoying warnings generated by libtool.
-    </para>
 
     <para>
Index: x/lib/pango.xml
===================================================================
--- x/lib/pango.xml	(revision cba9c0414703788e08d444f79b7515d65b15ab92)
+++ x/lib/pango.xml	(revision 92245989f0762ccff9cc822b575fbd04c125b01d)
@@ -114,6 +114,5 @@
     </para>
 
-<screen><userinput>sed -i "/seems to be moved/s/^/#/" ltmain.sh &amp;&amp;
-./configure --prefix=/usr --sysconfdir=/etc &amp;&amp;
+<screen><userinput>./configure --prefix=/usr --sysconfdir=/etc &amp;&amp;
 make</userinput></screen>
 
@@ -143,9 +142,4 @@
   <sect2 role="commands">
     <title>Command Explanations</title>
-
-    <para>
-      <command>sed -i ... ltmain.sh</command>: This sed silences several
-      useless and annoying warnings generated from libtool.
-    </para>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: xsoft/other/gimp.xml
===================================================================
--- xsoft/other/gimp.xml	(revision cba9c0414703788e08d444f79b7515d65b15ab92)
+++ xsoft/other/gimp.xml	(revision 92245989f0762ccff9cc822b575fbd04c125b01d)
@@ -177,6 +177,5 @@
     </para>
 
-<screen><userinput>sed -i "/seems to be moved/s/^/#/" ltmain.sh &amp;&amp;
-./configure --prefix=/usr \
+<screen><userinput>./configure --prefix=/usr \
             --sysconfdir=/etc \
             --without-gvfs &amp;&amp;
@@ -248,10 +247,4 @@
       building with the current version of gegl.
     </para>
-
-    <!-- we dropped this ?
-    <para>
-      <command>sed -i ... ltmain.sh</command>: This sed silences several
-      useless and annoying warnings generated by libtool.
-    </para> -->
 
     <para>