Index: general/prog/jdk/j2sdk-config.xml
===================================================================
--- general/prog/jdk/j2sdk-config.xml	(revision 1fdbdb4756e539e6c5b09894a059a591e4ffc8f2)
+++ general/prog/jdk/j2sdk-config.xml	(revision 92559316efe8df83245bb043474310fe627993ec)
@@ -28,4 +28,27 @@
 </sect3>
 
+<sect3><title>Handling CLASSPATH</title>
+
+<para>When compiling packages, the <envar>CLASSPATH</envar> environment variable
+is used JDK to locate classes at compile-time and run-time. It is tedious to
+add all the classes used to the <envar>CLASSPATH</envar> manually. You may add
+the following lines to your shell startup file to set <envar>CLASSPATH</envar>
+automatically to include all JAR files in a specified directory, which in
+the example below is <filename>/usr/lib/auto-java-classpath</filename>.</para>
+
+<screen><userinput>AUTO_CLASSPATH_DIR=/usr/lib/auto-java-classpath
+if [ -z $CLASSPATH ]
+then
+  CLASSPATH=.:$AUTO_CLASSPATH_DIR
+else
+  CLASSPATH=$CLASSPATH:.:$AUTO_CLASSPATH_DIR
+fi
+for i in $(ls $AUTO_CLASSPATH_DIR/*.jar 2>/dev/null)
+do
+  CLASSPATH=$CLASSPATH:$i
+done</userinput></screen>
+
+</sect3>
+
 </sect2>
 
Index: general/prog/jdk/j2sdk-inst.xml
===================================================================
--- general/prog/jdk/j2sdk-inst.xml	(revision 1fdbdb4756e539e6c5b09894a059a591e4ffc8f2)
+++ general/prog/jdk/j2sdk-inst.xml	(revision 92559316efe8df83245bb043474310fe627993ec)
@@ -7,11 +7,15 @@
 <para>Installation of the precompiled <acronym>JDK</acronym> is easy, change 
 the executable bit for the downloaded file, change to the directory where you 
-want it installed and execute the downloaded file.</para>
+want it installed and execute the downloaded file. The following (slightly
+cryptic version) allows automatic installation.</para>
 
 <screen><userinput><command>VERSION=&j2sdk-bin-version; &amp;&amp;
 MV=`echo $VERSION | cut -d "_" -f 1,1` &amp;&amp;
 V=`echo ${VERSION} | sed -e "s/\./_/g"` &amp;&amp;
+sed -i "s:^PATH=.*::" j2sdk-${V}-linux-i?86.bin &amp;&amp;
 chmod +x j2sdk-${V}-linux-i?86.bin &amp;&amp;
-./j2sdk-${V}-linux-i?86.bin &amp;&amp;
+mkdir -p bin &amp;&amp;
+ln -sf /bin/true bin/more &amp;&amp;
+yes | PATH=$PWD/bin:$PATH ./j2sdk-${V}-linux-i?86.bin &amp;&amp;
 cd j2sdk${VERSION} &amp;&amp;
 install -d /opt/j2sdk/j2sdk-precompiled-${MV} &amp;&amp;
@@ -28,5 +32,5 @@
 export PATH=$PATH:${JAVA_HOME}/bin</command></userinput></screen>
 
-<para>Unzip and patch the source:</para>
+<para>Unzip the source:</para>
 
 <screen><userinput><command>VERSION=&j2sdk-src-version; &amp;&amp;
@@ -34,13 +38,16 @@
 unzip j2sdk-${V}-src-scsl.zip &amp;&amp;
 unzip j2sdk-${V}-mozilla_headers-unix.zip &amp;&amp;
-patch -Np1 -i j2sdk-${VERSION}-gcc33-1.patch &amp;&amp;
-patch -Np1 -i j2sdk-${VERSION}-fix-intl-files.patch &amp;&amp;
-patch -Np1 -i j2sdk-${VERSION}-link-missing-libs.patch &amp;&amp;
-patch -Np1 -i j2sdk-${VERSION}-remove-fixed-paths.patch &amp;&amp;
-patch -Np1 -i j2sdk-${VERSION}-syntax-fixes.patch &amp;&amp;
-patch -Np1 -i j2sdk-${VERSION}-motif-mkmsgcat.patch &amp;&amp;
-patch -Np1 -i j2sdk-${VERSION}-use-included-motif.patch</command></userinput></screen>
+unzip j2sdk-${V}-bin-scsl.zip</command></userinput></screen>
 
-<para>Set some variables which affect the build:</para>
+<para>Apply all the patches downloaded above.</para>
+
+<screen><userinput><command>for PATCH in fix-inline-asm-1 gcc3-1 motif-mkmsgcat \
+             remove-debug-image remove-fixed-paths-1 \
+             static_cxx
+do
+   patch -Np1 -i j2sdk-1.4.2-$PATCH.patch &amp;&amp;
+done</command></userinput></screen>
+
+<para>Set/unset some variables which affect the build:</para>
 <screen><userinput><command>export ALT_BOOTDIR="$JAVA_HOME" &amp;&amp;
 unset JAVA_HOME &amp;&amp;
@@ -56,4 +63,8 @@
 export MAKE_VERBOSE=true &amp;&amp;
 export ALT_CACERTS_FILE=${ALT_BOOTDIR}/jre/lib/security/cacerts</command></userinput></screen>
+
+<warning><para>Setting CFLAGS/CXXFLAGS/LDFLAGS is guaranteed to make the build fail.
+If you are interested in optimizing the build, set OTHER_CFLAGS/OTHER_CXXFLAGS/OTHER_LDFLAGS
+instead.</para></warning>
 
 <para>Additionally, if you would like to make in parallel, add the following 
Index: general/prog/jdk/j2sdk-intro.xml
===================================================================
--- general/prog/jdk/j2sdk-intro.xml	(revision 1fdbdb4756e539e6c5b09894a059a591e4ffc8f2)
+++ general/prog/jdk/j2sdk-intro.xml	(revision 92559316efe8df83245bb043474310fe627993ec)
@@ -38,6 +38,8 @@
 <listitem><para>Download (HTTP): <ulink
 url="&j2sdk-download-http;"/></para></listitem>
+<!--
 <listitem><para>Download (FTP): <ulink
 url="&j2sdk-download-ftp;"/></para></listitem>
+-->
 <listitem><para>Version used (binary):
 &j2sdk-bin-version;</para></listitem>
@@ -52,11 +54,10 @@
 <sect3><title>Additional downloads</title>
 <itemizedlist spacing='compact'>
-<listitem><para><ulink url="&patch-root;/j2sdk-1.4.1-fix-intl-files.patch"/></para></listitem>
-<listitem><para><ulink url="&patch-root;/j2sdk-1.4.1-gcc33-1.patch"/></para></listitem>
-<listitem><para><ulink url="&patch-root;/j2sdk-1.4.1-link-missing-libs.patch"/></para></listitem>
-<listitem><para><ulink url="&patch-root;/j2sdk-1.4.1-motif-mkmsgcat.patch"/></para></listitem>
-<listitem><para><ulink url="&patch-root;/j2sdk-1.4.1-remove-fixed-paths.patch"/></para></listitem>
-<listitem><para><ulink url="&patch-root;/j2sdk-1.4.1-syntax-fixes.patch"/></para></listitem>
-<listitem><para><ulink url="&patch-root;/j2sdk-1.4.1-use-included-motif.patch"/></para></listitem>
+<listitem><para><ulink url="&patch-root;/j2sdk-1.4.2-fix-inline-asm-1.patch"/></para></listitem>
+<listitem><para><ulink url="&patch-root;/j2sdk-1.4.2-gcc33-1.patch"/></para></listitem>
+<listitem><para><ulink url="&patch-root;/j2sdk-1.4.2-motif-mkmsgcat.patch"/></para></listitem>
+<listitem><para><ulink url="&patch-root;/j2sdk-1.4.2-remove-debug-image.patch"/></para></listitem>
+<listitem><para><ulink url="&patch-root;/j2sdk-1.4.2-remove-fixed-paths-1.patch"/></para></listitem>
+<listitem><para><ulink url="&patch-root;/j2sdk-1.4.2-static_cxx.patch"/></para></listitem>
 </itemizedlist>
 </sect3>
@@ -66,5 +67,6 @@
 <sect4><title>Required</title>
 <para><xref linkend="xfree86"/>, <xref linkend="zip"/>, <xref
-linkend="unzip"/>, <xref linkend="cpio"/>, and <xref linkend="tcsh"/>
+linkend="unzip"/>, <xref linkend="cpio"/>, <xref linkend="alsa"/>,
+and <xref linkend="tcsh"/>
 </para></sect4>
 </sect3>
Index: general/prog/jdk/j2sdk.ent
===================================================================
--- general/prog/jdk/j2sdk.ent	(revision 1fdbdb4756e539e6c5b09894a059a591e4ffc8f2)
+++ general/prog/jdk/j2sdk.ent	(revision 92559316efe8df83245bb043474310fe627993ec)
@@ -5,6 +5,6 @@
 <!ENTITY j2sdk-config SYSTEM "j2sdk-config.xml">
 <!ENTITY j2sdk-desc SYSTEM "j2sdk-desc.xml">
-<!ENTITY j2sdk-bin-version "1.4.2_01">
-<!ENTITY j2sdk-src-version "1.4.1">
+<!ENTITY j2sdk-bin-version "1.4.2_03">
+<!ENTITY j2sdk-src-version "1.4.2">
 <!ENTITY j2sdk-download-http "http://freshmeat.net/projects/sunjdk">
 <!ENTITY j2sdk-download-ftp "">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 1fdbdb4756e539e6c5b09894a059a591e4ffc8f2)
+++ introduction/welcome/changelog.xml	(revision 92559316efe8df83245bb043474310fe627993ec)
@@ -12,26 +12,29 @@
 <itemizedlist>
 
-<listitem><para>January 24th, 2003 [igor]: Updated to
+<listitem><para>January 24th, 2004 [tushar]: Updated to
+j2sdk-1.4.2_03 (binary) and j2sdk-1.4.2.</para></listitem>
+
+<listitem><para>January 24th, 2004 [igor]: Updated to
 KDE-3.1.5.</para></listitem>
 
-<listitem><para>January 23rd, 2003 [igor]: Updated to
+<listitem><para>January 23rd, 2004 [igor]: Updated to
 XFce-4.0.3.1.</para></listitem>
 
-<listitem><para>January 21st, 2003 [igor]: Updated to xine User
+<listitem><para>January 21st, 2004 [igor]: Updated to xine User
 Interface-0.9.23.</para></listitem>
     
-<listitem><para>January 20th, 2003 [igor]: Updated to xine
+<listitem><para>January 20th, 2004 [igor]: Updated to xine
 Libraries-1-rc3a.</para></listitem>
 
-<listitem><para>January 19th, 2003 [igor]: Updated to Audio
+<listitem><para>January 19th, 2004 [igor]: Updated to Audio
 File-0.2.5.</para></listitem>
     
-<listitem><para>January 18th, 2003 [igor]: Updated to
+<listitem><para>January 18th, 2004 [igor]: Updated to
 libtiff-3.6.1.</para></listitem>
 
-<listitem><para>January 17th, 2003 [igor]: Updated to
+<listitem><para>January 17th, 2004 [igor]: Updated to
 lcms-1.12.</para></listitem>
     
-<listitem><para>January 17th, 2003 [tushar]: Updated to
+<listitem><para>January 17th, 2004 [tushar]: Updated to
 mozilla-1.6.</para></listitem>
 