Index: gnome/core/gnome-desktop.xml
===================================================================
--- gnome/core/gnome-desktop.xml	(revision 99f8d760ebb373abf631fd87b104b238bb4b8949)
+++ gnome/core/gnome-desktop.xml	(revision 095224720983b63e777490ac987689da3ee3c847)
@@ -5,10 +5,10 @@
   %general-entities;
 
-<!ENTITY gnome-desktop-download-http "http://ftp.gnome.org/pub/GNOME/sources/gnome-desktop/2.6/gnome-desktop-&gnome-desktop-version;.tar.bz2">
-<!ENTITY gnome-desktop-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gnome-desktop/2.6/gnome-desktop-&gnome-desktop-version;.tar.bz2">
+<!ENTITY gnome-desktop-download-http "http://ftp.gnome.org/pub/GNOME/sources/gnome-desktop/&gnome-version;/gnome-desktop-&gnome-desktop-version;.tar.bz2">
+<!ENTITY gnome-desktop-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gnome-desktop/&gnome-version;/gnome-desktop-&gnome-desktop-version;.tar.bz2">
+<!ENTITY gnome-desktop-md5sum "47f9b9508c4a0349d66fa1138b521794">
 <!ENTITY gnome-desktop-size "1.1 MB">
-<!ENTITY gnome-desktop-buildsize "13.0 MB">
+<!ENTITY gnome-desktop-buildsize "13.6 MB">
 <!ENTITY gnome-desktop-time "0.19 SBU">
-
 ]>
 
@@ -26,7 +26,7 @@
 <para>The <application><acronym>GNOME</acronym> Desktop</application>
 package contains <application><acronym>GNOME</acronym></application>'s 
-<filename>.desktop</filename> files, the gnome-about program, man pages
-and <application><acronym>GNOME</acronym></application>'s core graphics 
-files and icons.</para>
+<filename>.desktop</filename> files, the <command>gnome-about</command> 
+program, man pages and <application><acronym>GNOME</acronym></application>'s 
+core graphics files and icons.</para>
 
 <sect3><title>Package information</title>
@@ -36,4 +36,5 @@
 <listitem><para>Download (FTP): <ulink
 url="&gnome-desktop-download-ftp;"/></para></listitem>
+<listitem><para>Download MD5 sum: &gnome-desktop-md5sum;</para></listitem>
 <listitem><para>Download size: &gnome-desktop-size;</para></listitem>
 <listitem><para>Estimated Disk space required:
@@ -43,14 +44,13 @@
 </sect3>
 
-<sect3><title><application><acronym>GNOME</acronym> Desktop</application> dependencies</title>
+<sect3><title><application><acronym>GNOME</acronym> Desktop</application> 
+dependencies</title>
 <sect4><title>Required</title>
-<para>
-<xref linkend="libgnomeui"/> and
-<xref linkend="scrollkeeper"/>
-</para></sect4>
-<sect4><title>Optional</title>
-<para>
-<xref linkend="startup-notification"/>
-</para></sect4>
+<para><xref linkend="libgnomeui"/> and <xref linkend="scrollkeeper"/></para>
+</sect4>
+
+<sect4><title>Recommended</title>
+<para><xref linkend="startup-notification"/></para>
+</sect4>
 </sect3>
 
@@ -58,7 +58,9 @@
 
 <sect2>
-<title>Installation of <application><acronym>GNOME</acronym> Desktop</application></title>
+<title>Installation of <application><acronym>GNOME</acronym> 
+Desktop</application></title>
 
-<para>Install <application><acronym>GNOME</acronym> Desktop</application> by running the following commands:</para>
+<para>Install <application><acronym>GNOME</acronym> Desktop</application> by 
+running the following commands:</para>
 
 <screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
@@ -73,6 +75,6 @@
 
 <para><parameter>--sysconfdir=/etc/gnome</parameter>: This switch
-puts configuration files in <filename class="directory">/etc/gnome</filename> instead of
-<filename class="directory">$GNOME_PREFIX/etc</filename>.</para>
+puts configuration files in <filename class="directory">/etc/gnome</filename> 
+instead of <filename class="directory">$GNOME_PREFIX/etc</filename>.</para>
 
 </sect2>
@@ -81,7 +83,7 @@
 <title>Contents</title>
 
-<para>The <application><acronym>GNOME</acronym> Desktop</application> package contains
-<filename class="libraryfile">libgnome-desktop-2</filename> libraries and
-<command>gnome-about</command>.</para>
+<para>The <application><acronym>GNOME</acronym> Desktop</application> package 
+contains <filename class="libraryfile">libgnome-desktop-2</filename> libraries 
+and <command>gnome-about</command>.</para>
 
 </sect2>
@@ -90,7 +92,7 @@
 
 <sect3><title>libgnome-desktop libraries</title>
-<para><filename class="libraryfile">libgnome-desktop</filename> libraries contain
-<acronym>API</acronym>s being tested for
-inclusion in <application>libgnome</application> or
+<para><filename class="libraryfile">libgnome-desktop</filename> libraries 
+contain <acronym>API</acronym>s being tested for inclusion in 
+<application>libgnome</application> or
 <application>libgnomeui</application>.</para></sect3>
 