Index: general/genlib/libunique.xml
===================================================================
--- general/genlib/libunique.xml	(revision 55944f949fad6094e93efbb683c7ba661df20266)
+++ general/genlib/libunique.xml	(revision 96031390a02f4b380bc831cbd5e63a24f49cad67)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/giflib.xml
===================================================================
--- general/graphlib/giflib.xml	(revision 55944f949fad6094e93efbb683c7ba661df20266)
+++ general/graphlib/giflib.xml	(revision 96031390a02f4b380bc831cbd5e63a24f49cad67)
@@ -34,5 +34,5 @@
     working with GIF files.</para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/prog/java.xml
===================================================================
--- general/prog/java.xml	(revision 55944f949fad6094e93efbb683c7ba661df20266)
+++ general/prog/java.xml	(revision 96031390a02f4b380bc831cbd5e63a24f49cad67)
@@ -82,5 +82,5 @@
     version.</para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Binary Package Information</bridgehead>
Index: general/prog/perl-modules.xml
===================================================================
--- general/prog/perl-modules.xml	(revision 55944f949fad6094e93efbb683c7ba661df20266)
+++ general/prog/perl-modules.xml	(revision 96031390a02f4b380bc831cbd5e63a24f49cad67)
@@ -192,5 +192,5 @@
     module uses the standard <xref linkend="perl-standard-install"/>.</para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <itemizedlist>
@@ -234,5 +234,5 @@
     <xref linkend="perl-standard-install"/>.</para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <itemizedlist>
@@ -261,5 +261,5 @@
     <xref linkend="perl-standard-install"/>.</para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <itemizedlist>
@@ -293,5 +293,5 @@
     <xref linkend="perl-standard-install"/>.</para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <itemizedlist>
@@ -325,5 +325,5 @@
     <xref linkend="perl-standard-install"/>.</para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <itemizedlist>
@@ -351,5 +351,5 @@
     the standard <xref linkend="perl-standard-install"/>.</para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <itemizedlist>
@@ -378,5 +378,5 @@
     <xref linkend="perl-standard-install"/>.</para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <itemizedlist>
@@ -417,5 +417,5 @@
     the standard <xref linkend="perl-standard-install"/>.</para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <itemizedlist>
@@ -454,5 +454,5 @@
       </itemizedlist>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <itemizedlist>
@@ -487,5 +487,5 @@
     standard <xref linkend="perl-standard-install"/>.</para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <itemizedlist>
@@ -513,5 +513,5 @@
     standard <xref linkend="perl-standard-install"/>.</para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <itemizedlist>
@@ -539,5 +539,5 @@
     This module uses the standard <xref linkend="perl-standard-install"/>.</para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <itemizedlist>
@@ -566,5 +566,5 @@
     <xref linkend="perl-standard-install"/>.</para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <itemizedlist>
@@ -593,5 +593,5 @@
     <xref linkend="perl-standard-install"/>.</para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <itemizedlist>
@@ -620,5 +620,5 @@
     <xref linkend="perl-standard-install"/>.</para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <itemizedlist>
@@ -692,5 +692,5 @@
     <xref linkend="perl-standard-install"/>.</para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <itemizedlist>
@@ -790,5 +790,5 @@
     <xref linkend="perl-standard-install"/>.</para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <itemizedlist>
@@ -824,5 +824,5 @@
     chain for each module before installing the modules.</para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <itemizedlist>
@@ -917,5 +917,5 @@
     that module without updating all of <application>perl</application>.</para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <itemizedlist>
@@ -981,5 +981,5 @@
     module uses the standard <xref linkend="perl-standard-install"/>.</para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <itemizedlist>
@@ -1016,5 +1016,5 @@
     standard <xref linkend="perl-standard-install"/>.</para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <itemizedlist>
@@ -1043,5 +1043,5 @@
     standard <xref linkend="perl-standard-install"/>.</para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <itemizedlist>
@@ -1110,5 +1110,5 @@
     </note>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <itemizedlist>
@@ -1235,5 +1235,5 @@
     <xref linkend="perl-standard-install"/>.</para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <itemizedlist>
@@ -1310,5 +1310,5 @@
     module uses the standard <xref linkend="perl-standard-install"/>.</para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <itemizedlist>
@@ -1338,5 +1338,5 @@
     <xref linkend="perl-standard-install"/>.</para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <para> Before beginning the build, issue
@@ -1380,5 +1380,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <itemizedlist>
@@ -1407,5 +1407,5 @@
     standard <xref linkend="perl-standard-install"/>.</para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <itemizedlist>
@@ -1448,5 +1448,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <itemizedlist>
@@ -1475,5 +1475,5 @@
     <xref linkend="perl-standard-install"/>.</para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <itemizedlist>
@@ -1526,5 +1526,5 @@
     that module without updating all of <application>perl</application>.</para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <itemizedlist>
@@ -1613,5 +1613,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <itemizedlist>
@@ -1674,5 +1674,5 @@
     uses the standard <xref linkend="perl-standard-install"/>.</para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <itemizedlist>
@@ -1701,5 +1701,5 @@
     <xref linkend="perl-standard-install"/>.</para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <itemizedlist>
@@ -1742,5 +1742,5 @@
     uses the standard <xref linkend="perl-standard-install"/>.</para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <itemizedlist>
@@ -1778,5 +1778,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <itemizedlist>
@@ -1807,5 +1807,5 @@
     <xref linkend="perl-standard-install"/>.</para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <itemizedlist>
@@ -1849,5 +1849,5 @@
     <xref linkend="perl-standard-install"/>.</para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <itemizedlist>
@@ -1919,5 +1919,5 @@
     <xref linkend="perl-standard-install"/>.</para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <itemizedlist>
@@ -1980,5 +1980,5 @@
     module uses the standard <xref linkend="perl-standard-install"/>.</para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <itemizedlist>
Index: general/prog/py2cairo.xml
===================================================================
--- general/prog/py2cairo.xml	(revision 55944f949fad6094e93efbb683c7ba661df20266)
+++ general/prog/py2cairo.xml	(revision 96031390a02f4b380bc831cbd5e63a24f49cad67)
@@ -31,5 +31,5 @@
       </para>
 
-      &lfs79_checked;
+      &lfs79_checked;&gcc6_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: general/prog/pygobject2.xml
===================================================================
--- general/prog/pygobject2.xml	(revision 55944f949fad6094e93efbb683c7ba661df20266)
+++ general/prog/pygobject2.xml	(revision 96031390a02f4b380bc831cbd5e63a24f49cad67)
@@ -33,5 +33,5 @@
       </para>
 
-      &lfs79_checked;
+      &lfs79_checked;&gcc6_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: general/prog/pygtk.xml
===================================================================
--- general/prog/pygtk.xml	(revision 55944f949fad6094e93efbb683c7ba661df20266)
+++ general/prog/pygtk.xml	(revision 96031390a02f4b380bc831cbd5e63a24f49cad67)
@@ -32,5 +32,5 @@
       </para>
 
-      &lfs79_checked;
+      &lfs79_checked;&gcc6_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: general/sysutils/cpio.xml
===================================================================
--- general/sysutils/cpio.xml	(revision 55944f949fad6094e93efbb683c7ba661df20266)
+++ general/sysutils/cpio.xml	(revision 96031390a02f4b380bc831cbd5e63a24f49cad67)
@@ -33,5 +33,5 @@
     tools for archiving.</para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: lxde/desktop/lxappearance.xml
===================================================================
--- lxde/desktop/lxappearance.xml	(revision 55944f949fad6094e93efbb683c7ba661df20266)
+++ lxde/desktop/lxappearance.xml	(revision 96031390a02f4b380bc831cbd5e63a24f49cad67)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: lxde/desktop/lxde-common.xml
===================================================================
--- lxde/desktop/lxde-common.xml	(revision 55944f949fad6094e93efbb683c7ba661df20266)
+++ lxde/desktop/lxde-common.xml	(revision 96031390a02f4b380bc831cbd5e63a24f49cad67)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: lxde/desktop/lxpanel.xml
===================================================================
--- lxde/desktop/lxpanel.xml	(revision 55944f949fad6094e93efbb683c7ba661df20266)
+++ lxde/desktop/lxpanel.xml	(revision 96031390a02f4b380bc831cbd5e63a24f49cad67)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: lxde/desktop/lxsession.xml
===================================================================
--- lxde/desktop/lxsession.xml	(revision 55944f949fad6094e93efbb683c7ba661df20266)
+++ lxde/desktop/lxsession.xml	(revision 96031390a02f4b380bc831cbd5e63a24f49cad67)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: lxde/desktop/pcmanfm.xml
===================================================================
--- lxde/desktop/pcmanfm.xml	(revision 55944f949fad6094e93efbb683c7ba661df20266)
+++ lxde/desktop/pcmanfm.xml	(revision 96031390a02f4b380bc831cbd5e63a24f49cad67)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netprogs/wireless-tools.xml
===================================================================
--- networking/netprogs/wireless-tools.xml	(revision 55944f949fad6094e93efbb683c7ba661df20266)
+++ networking/netprogs/wireless-tools.xml	(revision 96031390a02f4b380bc831cbd5e63a24f49cad67)
@@ -41,5 +41,5 @@
     textual interface to support the full Wireless Extension.</para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/config/lsb-release.xml
===================================================================
--- postlfs/config/lsb-release.xml	(revision 55944f949fad6094e93efbb683c7ba661df20266)
+++ postlfs/config/lsb-release.xml	(revision 96031390a02f4b380bc831cbd5e63a24f49cad67)
@@ -33,5 +33,5 @@
     about the Linux Standards Base (LSB) status of the distribution.</para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/icons/lxde-icon-theme.xml
===================================================================
--- x/icons/lxde-icon-theme.xml	(revision 55944f949fad6094e93efbb683c7ba661df20266)
+++ x/icons/lxde-icon-theme.xml	(revision 96031390a02f4b380bc831cbd5e63a24f49cad67)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/libevdev.xml
===================================================================
--- x/installing/libevdev.xml	(revision 55944f949fad6094e93efbb683c7ba661df20266)
+++ x/installing/libevdev.xml	(revision 96031390a02f4b380bc831cbd5e63a24f49cad67)
@@ -37,5 +37,5 @@
       </para>
 
-      &lfs79_checked;
+      &lfs79_checked;&gcc6_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: x/installing/x7driver-evdev.xml
===================================================================
--- x/installing/x7driver-evdev.xml	(revision 55944f949fad6094e93efbb683c7ba661df20266)
+++ x/installing/x7driver-evdev.xml	(revision 96031390a02f4b380bc831cbd5e63a24f49cad67)
@@ -39,5 +39,5 @@
       </para>
 
-      &lfs79_checked;
+      &lfs79_checked;&gcc6_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: x/lib/keybinder2.xml
===================================================================
--- x/lib/keybinder2.xml	(revision 55944f949fad6094e93efbb683c7ba661df20266)
+++ x/lib/keybinder2.xml	(revision 96031390a02f4b380bc831cbd5e63a24f49cad67)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/startup-notification.xml
===================================================================
--- x/lib/startup-notification.xml	(revision 55944f949fad6094e93efbb683c7ba661df20266)
+++ x/lib/startup-notification.xml	(revision 96031390a02f4b380bc831cbd5e63a24f49cad67)
@@ -36,5 +36,5 @@
     the user through the cursor that the application is loading.</para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/exo.xml
===================================================================
--- xfce/core/exo.xml	(revision 55944f949fad6094e93efbb683c7ba661df20266)
+++ xfce/core/exo.xml	(revision 96031390a02f4b380bc831cbd5e63a24f49cad67)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/garcon.xml
===================================================================
--- xfce/core/garcon.xml	(revision 55944f949fad6094e93efbb683c7ba661df20266)
+++ xfce/core/garcon.xml	(revision 96031390a02f4b380bc831cbd5e63a24f49cad67)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/gtk-xfce-engine.xml
===================================================================
--- xfce/core/gtk-xfce-engine.xml	(revision 55944f949fad6094e93efbb683c7ba661df20266)
+++ xfce/core/gtk-xfce-engine.xml	(revision 96031390a02f4b380bc831cbd5e63a24f49cad67)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/libwnck2.xml
===================================================================
--- xfce/core/libwnck2.xml	(revision 55944f949fad6094e93efbb683c7ba661df20266)
+++ xfce/core/libwnck2.xml	(revision 96031390a02f4b380bc831cbd5e63a24f49cad67)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/libxfce4ui.xml
===================================================================
--- xfce/core/libxfce4ui.xml	(revision 55944f949fad6094e93efbb683c7ba661df20266)
+++ xfce/core/libxfce4ui.xml	(revision 96031390a02f4b380bc831cbd5e63a24f49cad67)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/libxfce4util.xml
===================================================================
--- xfce/core/libxfce4util.xml	(revision 55944f949fad6094e93efbb683c7ba661df20266)
+++ xfce/core/libxfce4util.xml	(revision 96031390a02f4b380bc831cbd5e63a24f49cad67)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/xfconf.xml
===================================================================
--- xfce/core/xfconf.xml	(revision 55944f949fad6094e93efbb683c7ba661df20266)
+++ xfce/core/xfconf.xml	(revision 96031390a02f4b380bc831cbd5e63a24f49cad67)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>