Index: general.ent
===================================================================
--- general.ent	(revision 7bdbf359d41a78052028c4035c4384a623a91067)
+++ general.ent	(revision 106677204ff3d8f295a99a659c1f37271963eb8b)
@@ -534,5 +534,8 @@
 <!ENTITY fetchmail-version            "6.3.13">
 <!ENTITY mutt-version                 "1.5.21">
+<!-- replaced by re-alpine
 <!ENTITY pine-version                 "4.64">
+-->
+<!ENTITY re-alpine-version            "2.0.2">
 <!ENTITY tin-version                  "1.8.3">
 
Index: general/prog/cvs.xml
===================================================================
--- general/prog/cvs.xml	(revision 7bdbf359d41a78052028c4035c4384a623a91067)
+++ general/prog/cvs.xml	(revision 106677204ff3d8f295a99a659c1f37271963eb8b)
@@ -103,5 +103,5 @@
       </listitem>
       <listitem>
-        <para><xref linkend="pine"/> (for Pico)</para>
+        <para><xref linkend="re-alpine"/> (for Pico)</para>
       </listitem>
     </itemizedlist>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 7bdbf359d41a78052028c4035c4384a623a91067)
+++ introduction/welcome/changelog.xml	(revision 106677204ff3d8f295a99a659c1f37271963eb8b)
@@ -46,4 +46,8 @@
       <itemizedlist>
         <listitem>
+          <para>[rthomsen] - Replaced the unmaintained Pine by Re-alpine 2.0.2.
+	  Fixes <ulink url="&blfs-ticket-root;3312">#3312</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[krejzi] - libgweather 3.4.1.</para>
         </listitem>
@@ -137,5 +141,5 @@
         <listitem>
           <para>[rthomsen] - Upgrade to mpg123 1.13.8. Fixes 
-          <ulink url="&blfs-ticket-root;3311">#3311</ulink></para>
+          <ulink url="&blfs-ticket-root;3311">#3311</ulink>.</para>
         </listitem>
         <listitem>
@@ -156,5 +160,5 @@
         <listitem>
           <para>[rthomsen] - Upgrade to Soprano 2.7.5. Fixes 
-          <ulink url="&blfs-ticket-root;3318">#3318</ulink></para>
+          <ulink url="&blfs-ticket-root;3318">#3318</ulink>.</para>
 	</listitem>
 	<listitem>
Index: networking/mailnews/mailnews.xml
===================================================================
--- networking/mailnews/mailnews.xml	(revision 7bdbf359d41a78052028c4035c4384a623a91067)
+++ networking/mailnews/mailnews.xml	(revision 106677204ff3d8f295a99a659c1f37271963eb8b)
@@ -28,5 +28,8 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="fetchmail.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="mutt.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="re-alpine.xml"/>
+  <!-- Replaced by re-alpine
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="pine.xml"/>
+  -->
   <!-- Commenting out slrn as tin has replaced it
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="slrn.xml"/>
Index: networking/mailnews/re-alpine.xml
===================================================================
--- networking/mailnews/re-alpine.xml	(revision 106677204ff3d8f295a99a659c1f37271963eb8b)
+++ networking/mailnews/re-alpine.xml	(revision 106677204ff3d8f295a99a659c1f37271963eb8b)
@@ -0,0 +1,227 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY re-alpine-download-http "http://downloads.sourceforge.net/re-alpine/re-alpine-&re-alpine-version;.tar.bz2">
+  <!ENTITY re-alpine-download-ftp  " ">
+  <!ENTITY re-alpine-md5sum        "5e75826b15f05674856be8618bdefdfb">
+  <!ENTITY re-alpine-size          "5.3 MB">
+  <!ENTITY re-alpine-buildsize     "112 MB">
+  <!ENTITY re-alpine-time          "1.2 SBU">
+]>
+
+<sect1 id="re-alpine" xreflabel="Re-alpine-&re-alpine-version;">
+  <?dbhtml filename="re-alpine.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>Re-alpine-&re-alpine-version;</title>
+
+  <indexterm zone="re-alpine">
+    <primary sortas="a-re-alpine">re-alpine</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to Re-alpine</title>
+
+    <para><application>Re-alpine</application> is the continuation of Alpine; 
+    a text-based email client developed by the University of Washington.</para>
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing='compact'>
+      <listitem>
+        <para>Download (HTTP): <ulink url="&re-alpine-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&re-alpine-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &re-alpine-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &re-alpine-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &re-alpine-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &re-alpine-time;</para>
+      </listitem>
+    </itemizedlist>
+<!--
+    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
+    <itemizedlist spacing='compact'>
+      <listitem>
+        <para>Recommended Patch: <ulink
+        url="&patch-root;/re-alpine-&re-alpine-version;-utf8-1.patch"/></para>
+      </listitem>
+    </itemizedlist>
+-->
+    <bridgehead renderas="sect3">Re-alpine Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para role="recommended">
+    <xref linkend="openssl"/>
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+    <xref linkend="openldap"/>,
+    <xref linkend="mitkrb"/>,
+    <xref linkend="aspell"/>,
+    <xref linkend="tcl"/> and
+    <xref linkend="linux-pam"/>
+    </para>
+
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/re-alpine"/></para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Re-alpine</title>
+
+    <para>Install <application>Re-alpine</application> by running the following
+    commands:</para>
+
+<screen><userinput>./configure --prefix=/usr \
+            --sysconfdir=/etc \
+	    --without-ldap \
+	    --without-krb5 \
+	    --with-ssl-dir=/usr \
+	    --with-passfile=.pine-passfile &amp;&amp;
+make</userinput></screen>
+
+    <para>This package does not come with a test suite.</para>
+
+    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+
+<screen role='root'><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para><parameter>--without-ldap</parameter>: Disables LDAP support.</para>
+    
+    <para><parameter>--without-krb5</parameter>: Disables Kerberos support.</para>
+
+    <para><parameter>--with-ssl-dir=/usr</parameter>: Sets the root path to 
+    OpenSSL libraries and include files.</para>
+    
+    <para><parameter>--with-passfile=.pine-passfile</parameter>: Sets the
+    password cache file.</para>
+    
+    <para><parameter>--without-ssl</parameter>: Disables OpenSSL support.</para>
+    
+  </sect2>
+
+  <sect2 role="configuration">
+    <title>Configuring Re-alpine</title>
+
+    <sect3 id="re-alpine-config">
+      <title>Config Files</title>
+
+      <para><filename>~/.pinerc</filename></para>
+
+      <indexterm zone="re-alpine re-alpine-config">
+        <primary sortas="e-AA.pinerc">~/.pinerc</primary>
+      </indexterm>
+
+    </sect3>
+
+    <sect3>
+      <title>Configuration Information</title>
+
+      <para>It is not required to manually edit any configuration files to use
+      the <application>Alpine</application> email client. Users can configure 
+      <application>Alpine</application> using the graphical configuration menu,
+      which stores the changes in <filename>~/.pinerc</filename>.</para>
+
+    </sect3>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>alpine, pico, pilot, rpdump and rpload</seg>
+        <seg>none</seg>
+        <seg>none</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="alpine">
+        <term><command>alpine</command></term>
+        <listitem>
+          <para>is the Alpine mailer.</para>
+          <indexterm zone="re-alpine alpine">
+            <primary sortas="b-alpine">alpine</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="pico">
+        <term><command>pico</command></term>
+        <listitem>
+          <para>is a standalone text editor similar to the Alpine message composer.</para>
+          <indexterm zone="re-alpine pico">
+            <primary sortas="b-pico">pico</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+      
+      <varlistentry id="pilot">
+        <term><command>pilot</command></term>
+        <listitem>
+          <para>is a standalone file system navigator.</para>
+          <indexterm zone="re-alpine pilot">
+            <primary sortas="b-pilot">pilot</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="rpdump">
+        <term><command>rpdump</command></term>
+        <listitem>
+          <para>is an utility for downloading a pinerc or address book to the
+	  local machine.</para>
+          <indexterm zone="re-alpine rpdump">
+            <primary sortas="b-rpdump">rpdump</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="rpload">
+        <term><command>rpload</command></term>
+        <listitem>
+          <para> is an utility for uploading a local pinerc or address book to 
+	  an IMAP server.</para>
+          <indexterm zone="re-alpine rpload">
+            <primary sortas="b-rpload">rpload</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: postlfs/editors/others.xml
===================================================================
--- postlfs/editors/others.xml	(revision 7bdbf359d41a78052028c4035c4384a623a91067)
+++ postlfs/editors/others.xml	(revision 106677204ff3d8f295a99a659c1f37271963eb8b)
@@ -17,5 +17,5 @@
 
   <para><command>pico</command> is a text editor installed as a part
-  of <xref linkend="pine"/>.</para>
+  of <xref linkend="re-alpine"/>.</para>
 
   <para><command>mcedit</command> is a text editor installed as part
Index: x/lib/qt4.xml
===================================================================
--- x/lib/qt4.xml	(revision 7bdbf359d41a78052028c4035c4384a623a91067)
+++ x/lib/qt4.xml	(revision 106677204ff3d8f295a99a659c1f37271963eb8b)
@@ -130,5 +130,6 @@
     also be installed in an arbitrary directory.</para>
 
-    <para>The advantage of this method is that no updates to the
+    <para>The advantage of installing in 
+    <filename class='directory'>/usr</filename> is that no updates to the
     <filename>/etc/ld.so.conf</filename> or
     <filename>/etc/man_db.conf</filename> files are required. The package
@@ -183,9 +184,9 @@
     
     <note><title>Phonon</title>
-    <para>If <application>KDE4</application> is intended to be installed, add
+    <para>If <application>KDE</application> is intended to be installed, add
     <option>-no-phonon</option> to the <command>./configure</command> command
-    above. While installing <application>KDE4</application>, a separate version of the
+    above. While installing <application>KDE</application>, a separate version of the
     <application>Phonon</application> libraries will be installed which better
-    matches the needs of the <application>KDE4</application> desktop.</para></note>
+    matches the needs of the <application>KDE</application> desktop.</para></note>
            
     <para>This package does not come with a test suite.</para>
@@ -314,5 +315,5 @@
         lupdate, moc, pixeltool, qcollectiongenerator, qdbus, qdbuscpp2xml,
         qdbusviewer, qdbusxml2cpp, qhelpconverter, qhelpgenerator,qmake,
-        qt3to4, qtconfig, qtdemo, rcc, uic, uic3, and xmlpatterns</seg>
+        qt3to4, qtconfig, qtdemo, rcc, uic, uic3 and xmlpatterns</seg>
 
         <seg>libphonon.so, libQt3Support.so, libQtAssistantClient.so,
@@ -321,5 +322,5 @@
         libQtOpenGL.so, libQtScript.so, libQtScriptTools.so, libQtSql.so,
         libQtSvg.so, libQtTest.so, libQtUiTools.a, libQtWebKit.so, libQtXml.so,
-        libQtXmlPatterns.so, and numerous plugin modules installed in
+        libQtXmlPatterns.so and numerous plugin modules installed in
         <filename class='directory'>/opt/qt/plugins</filename></seg>
 
@@ -457,5 +458,5 @@
         <term><command>rcc</command></term>
         <listitem>
-          <para>is a resource compiler used in conjucntion with designer.</para>
+          <para>is a resource compiler used in conjunction with designer.</para>
           <indexterm zone="qt4 qt4-rcc">
             <primary sortas="b-rcc">rcc</primary>