Index: general.ent
===================================================================
--- general.ent	(revision 949576031ff39888cc97f3f26579bf8b292b0a28)
+++ general.ent	(revision 136523014c8d65a539162d1fcbb7e8a9d61096d9)
@@ -136,716 +136,4 @@
                                can be installed on the same system.</para></note>">
 
-<!-- Part II -->
-<!-- Chapter 3 -->
-<!ENTITY initd-tools-version          "0.1.3">
-<!ENTITY lsb-release-version          "1.4">
-
-<!-- Chapter 4 -->
-
-<!ENTITY acl-version                  "2.2.52">
-<!ENTITY attr-version                 "2.4.47">
-<!ENTITY consolekit-version           "0.4.6">
-<!ENTITY cracklib-version             "2.9.1">
-<!ENTITY cyrus-sasl-version           "2.1.26">
-<!ENTITY gnupg2-version               "2.0.25">
-<!ENTITY gnutls-version               "3.3.5">
-<!ENTITY gpgme-version                "1.5.0">
-<!ENTITY haveged-version              "1.9.1">
-<!ENTITY iptables-version             "1.4.21">
-<!ENTITY libcap-version               "2.24">
-<!ENTITY linux-pam-version            "1.1.8">
-<!ENTITY mitkrb-major-version         "1.12">
-<!ENTITY mitkrb-version               "&mitkrb-major-version;.1">
-<!ENTITY nettle-version               "2.7.1">
-<!ENTITY nss-minor-version            "16">
-<!ENTITY nss-micro-version            "3">
-<!ENTITY nss-version                  "3.&nss-minor-version;.&nss-micro-version;">
-<!ENTITY openssh-version              "6.6p1">
-<!ENTITY openssl-version              "1.0.1h">
-<!ENTITY p11-kit-version              "0.20.3">    <!-- Even minors only -->
-<!ENTITY polkit-version               "0.112">
-<!ENTITY shadow-version               "4.2.1">
-<!ENTITY ssh-askpass-version          "&openssh-version;">
-<!ENTITY stunnel-version              "5.02">
-<!ENTITY sudo-version                 "1.8.10p3">
-<!ENTITY tripwire-version             "2.4.2.2">
-
-<!-- Chapter 5 -->
-<!ENTITY fuse-version                 "2.9.3">
-<!ENTITY jfsutils-version             "1.1.15">
-<!ENTITY lvm2-version                 "2.02.107">
-<!ENTITY mdadm-version                "3.3.1">
-<!ENTITY ntfs-3g-version              "2014.2.15">
-<!ENTITY gptfdisk-version             "0.8.10">
-<!ENTITY parted-version               "3.1">
-<!ENTITY reiser-version               "3.6.24">
-<!ENTITY sshfs-fuse-version           "2.5">
-<!ENTITY xfsprogs-version             "3.2.1">
-
-<!-- Chapter 6 -->
-<!ENTITY bluefish-version             "2.2.6">
-<!ENTITY ed-version                   "1.10">
-<!ENTITY emacs-version                "24.3">
-<!ENTITY joe-version                  "3.7">
-<!ENTITY nano-version                 "2.3.6">
-<!ENTITY vim-version                  "7.4">
-
-<!-- Chapter 7 -->
-<!ENTITY dash-version                 "0.5.7">
-<!ENTITY tcsh-version                 "6.18.01">
-<!ENTITY zsh-version                  "5.0.5">
-
-<!-- Chapter 8 Virtualization -->
-<!ENTITY qemu-version                 "2.0.0">
-
-<!-- Part III -->
-<!-- Chapter 9 -->
-<!ENTITY apr-version                  "1.5.1">
-<!ENTITY apr-util-version             "1.5.3">
-<!ENTITY aspell-version               "0.60.6.1">
-
-<!ENTITY boost-major                  "1">
-<!ENTITY boost-minor                  "55">
-<!ENTITY boost-patch                  "0">
-<!ENTITY boost-version                "&boost-major;.&boost-minor;.&boost-patch;">
-<!ENTITY boost-dl-version             "&boost-major;_&boost-minor;_&boost-patch;">
-
-<!ENTITY clucene-version              "2.3.3.4">
-<!ENTITY dbus-glib-version            "0.102">
-<!ENTITY enchant-version              "1.6.0">
-<!ENTITY exempi-version               "2.2.1">
-<!ENTITY expat-version                "2.1.0">
-<!ENTITY glib2-version                "2.40.0">
-<!ENTITY glibmm-version               "2.40.0">
-<!ENTITY gmime-version                "2.6.20">
-<!ENTITY gobject-introspection-version "1.40.0">
-<!ENTITY gsl-version                  "1.16">
-
-<!ENTITY icu-major                    "53">
-<!ENTITY icu-minor                    "1">
-<!ENTITY icu-patch                    "0">
-<!ENTITY icu-version                  "&icu-major;.&icu-minor;"><!-- .&icu-patch;-->
-<!ENTITY icu-dl-version               "&icu-major;_&icu-minor;"><!-- _&icu-patch;-->
-
-<!ENTITY iso-codes-version            "3.55">
-<!ENTITY JS-version                   "17.0.0">
-<!ENTITY JS2-version                  "24.2.0">
-<!ENTITY json-c-version               "0.12">
-<!ENTITY json-glib-version            "1.0.2">
-<!ENTITY keyutils-version             "1.5.9">
-<!ENTITY libarchive-version           "3.1.2">
-<!ENTITY libassuan-version            "2.1.1">
-<!ENTITY libatasmart-version          "0.19">
-<!ENTITY libatomic_ops-version        "7.4.2">
-<!ENTITY libcroco-version             "0.6.8">
-<!ENTITY libdaemon-version            "0.14">
-<!ENTITY libdbusmenu-qt-version       "0.9.2">
-<!ENTITY libdrm-version               "2.4.54">
-<!ENTITY libesmtp-version             "1.0.6">
-<!ENTITY libffi-version               "3.1">
-<!ENTITY libgcrypt-version            "1.6.1">
-<!ENTITY libgee-version               "0.6.8">
-<!ENTITY libglade-version             "2.6.4">
-<!ENTITY libgpg-error-version         "1.13">
-<!ENTITY libgsf-version               "1.14.30">
-<!ENTITY libgusb-version              "0.1.6">
-<!ENTITY libical-version              "1.0">
-<!ENTITY libidn-version               "1.28">
-<!ENTITY libiodbc-version             "3.52.9">
-<!ENTITY libksba-version              "1.3.0">
-<!ENTITY liblinear-version            "1.94">
-<!ENTITY libsigc-version              "2.3.1">
-<!ENTITY libtasn1-version             "4.0">
-<!ENTITY libunistring-version         "0.9.3">
-<!ENTITY libusb-version               "1.0.19">
-<!ENTITY libusb-compat-version        "0.1.5">
-<!ENTITY libxml2-version              "2.9.1">
-<!ENTITY libxslt-version              "1.1.28">
-<!ENTITY libzeitgeist-version         "0.3.18">
-<!ENTITY lzo-version                  "2.08">
-<!ENTITY mtdev-version                "1.1.5">
-<!ENTITY nspr-version                 "4.10.6">
-<!ENTITY openobex-version             "1.7.1">
-<!ENTITY pcre-version                 "8.35">
-<!ENTITY popt-version                 "1.16">
-<!ENTITY pth-version                  "2.0.7">
-<!ENTITY ptlib-version                "2.10.10">
-<!ENTITY qca-version                  "2.0.3">
-<!ENTITY qjson-version                "0.8.1">
-<!ENTITY sbc-version                  "1.2">
-<!ENTITY talloc-version               "2.1.1">
-<!ENTITY wv-version                   "1.2.9">
-<!ENTITY xapian-version               "1.2.17">
-
-<!-- Chapter 10 -->
-<!ENTITY aalib-version                "1.4rc5">
-<!ENTITY babl-version                 "0.1.10">
-<!ENTITY exiv2-version                "0.24">
-<!ENTITY freetype2-version            "2.5.3">
-<!ENTITY fontconfig-version           "2.11.1">  <!-- stable lt .90 micro version -->
-<!ENTITY fribidi-version              "0.19.6">
-<!ENTITY gegl-version                 "0.2.0">
-<!ENTITY giflib-version               "5.1.0">
-<!ENTITY graphite2-version            "1.2.4">
-<!ENTITY harfbuzz-version             "0.9.32">
-<!ENTITY ijs-version                  "0.35">
-<!ENTITY imlib2-version               "1.4.6">
-<!ENTITY jasper-version               "1.900.1">
-<!ENTITY lcms-version                 "1.19">
-<!ENTITY lcms2-version                "2.6">
-<!ENTITY libexif-version              "0.6.21">
-<!ENTITY libjpeg-version              "8d">
-<!ENTITY libjpeg-turbo-version        "1.3.1">
-<!ENTITY libmng-version               "2.0.2">
-<!ENTITY libpng-version               "1.6.12">
-<!ENTITY librsvg-version              "2.40.2">   <!-- Normally even minors
-                                                       Required version in order to use
-                                                       svg pixbuf loader. -->
-<!ENTITY libraw-version               "0.16.0">
-<!ENTITY libtiff-version              "4.0.3">
-<!ENTITY libwebp-version              "0.4.0">
-<!ENTITY newt-version                 "0.52.17">
-<!ENTITY openjpeg-version             "1.5.2">
-<!ENTITY pixman-version               "0.32.6">   <!-- Even minors only -->
-<!ENTITY poppler-version              "0.26.2">   <!-- Even minors only -->
-<!ENTITY qpdf-version                 "5.1.2">
-
-<!-- Chapter 11 -->
-<!ENTITY appdata-tools-version        "0.1.7">
-<!ENTITY compface-version             "1.5.2">
-<!ENTITY desktop-file-utils-version   "0.22">
-<!ENTITY gperf-version                "3.0.4">
-<!ENTITY graphviz-version             "2.38.0">   <!-- Even minors only -->
-<!ENTITY gtk-doc-version              "1.20">
-<!ENTITY hd2u-version                 "1.0.3">
-<!ENTITY icon-naming-utils-version    "0.8.90">
-<!ENTITY imagemagick-version          "6.8.9">
-<!ENTITY intltool-version             "0.50.2">
-<!ENTITY lsof-version                 "4.87">
-<!ENTITY pinentry-version             "0.8.3">
-<!ENTITY qtchooser-version            "39">
-<!ENTITY rarian-version               "0.8.1">
-<!ENTITY recode-version               "3.6">
-<!ENTITY rep-gtk-version              "0.90.8.1">
-<!ENTITY screen-version               "4.2.1">
-<!ENTITY sharutils-version            "4.14">
-<!ENTITY tidy-version                 "cvs_20101110">
-<!ENTITY time-version                 "1.7">
-<!ENTITY tree-version                 "1.7.0">
-<!ENTITY unixodbc-version             "2.3.2">
-<!ENTITY xscreensaver-version         "5.29">
-
-<!-- Chapter 12 -->
-<!ENTITY acpid-version                "2.0.22">
-<!ENTITY at-version                   "3.1.14">
-<!ENTITY autofs-version               "5.1.0">
-<!ENTITY bluez-version                "5.21">
-<!ENTITY colord-version               "1.2.1">    <!-- Even minors only -->
-<!ENTITY cpio-version                 "2.11">
-<!ENTITY dbus-version                 "1.8.6">   <!-- Even minors only -->
-<!ENTITY eudev-version                "1.7">
-<!ENTITY fcron-version                "3.2.0">
-<!ENTITY gpm-version                  "1.20.7">
-<!ENTITY hdparm-version               "9.43">
-<!ENTITY ibus-version                 "1.5.4">    <!-- stable lt .90 micro version -->
-<!ENTITY lm_sensors-version           "3.3.5">
-<!ENTITY logrotate-version            "3.8.7">
-<!ENTITY mc-version                   "4.8.12">
-<!ENTITY obex-data-server-version     "0.4.6">
-<!ENTITY p7zip-version                "9.20.1">
-<!ENTITY pax-version                  "070715">
-<!ENTITY pciutils-version             "3.2.1">
-<!ENTITY pm-utils-version             "1.4.1">
-<!ENTITY raptor-version               "2.0.14">
-<!ENTITY rasqal-version               "0.9.32">
-<!ENTITY redland-version              "1.0.17">
-<!ENTITY sg3_utils-version            "1.39">
-<!ENTITY strigi-version               "0.7.8">
-<!ENTITY sysstat-version              "11.0.0">
-<!ENTITY udisks-version               "1.0.5">    <!-- stable lt .90 micro version -->
-<!ENTITY udisks2-version              "2.1.3">    <!-- stable lt .90 micro version -->
-<!ENTITY unrar-version                "5.1.6">
-<!ENTITY unzip-version                "6.0">
-<!ENTITY upower-version               "0.9.23">
-<!ENTITY usbutils-version             "007">
-<!ENTITY which-version                "2.20">
-<!ENTITY zip-version                  "3.0">
-
-<!-- Chapter 13 -->
-<!ENTITY bazaar-version               "2.5.1">
-<!ENTITY check-version                "0.9.13">
-<!ENTITY cmake-major-version          "3.0">
-<!ENTITY cmake-minor-version          "0">
-<!ENTITY cmake-version                "&cmake-major-version;.&cmake-minor-version;">
-<!ENTITY cvs-version                  "1.11.23">
-<!ENTITY dejagnu-version              "1.5.1">
-<!ENTITY doxygen-version              "1.8.7">
-<!ENTITY elfutils-version             "0.159">
-<!ENTITY expect-version               "5.45">
-<!ENTITY gcc-version                  "4.9.0">
-<!ENTITY gc-version                   "7.4.2">
-<!ENTITY gdb-version                  "7.7.1">
-<!ENTITY git-version                  "2.0.2">
-<!ENTITY guile-version                "2.0.11">
-<!ENTITY librep-version               "0.92.3">
-<!ENTITY llvm-version                 "3.4.2">
-<!ENTITY lua-version                  "5.2.3">
-<!ENTITY mercurial-version            "3.0.2">
-<!ENTITY nasm-version                 "2.11.05">
-<!ENTITY npapi-sdk-version            "0.27.2">
-<!ENTITY php-version                  "5.5.14">
-<!ENTITY python2-version              "2.7.8">
-<!ENTITY python3-version              "3.4.1">
-<!ENTITY ruby-version                 "2.1.2">
-<!ENTITY ruby-patch-version           "0">
-<!ENTITY scons-version                "2.3.2">
-<!ENTITY slang-version                "2.2.4">
-<!ENTITY subversion-version           "1.8.9">
-<!ENTITY swig-version                 "3.0.2">
-<!ENTITY tcl-version                  "8.6.1">
-<!ENTITY tk-version                   "8.6.1">
-<!ENTITY vala-major-version           "0.24">  <!-- even minors only -->
-<!ENTITY vala-version                 "&vala-major-version;.0">
-<!ENTITY valgrind-version             "3.9.0">
-<!ENTITY yasm-version                 "1.2.0">
-
-<!ENTITY apache-ant-version           "1.9.4">
-<!ENTITY icedtea-version              "2.5.0">
-<!ENTITY junit-version                "4.11">
-<!ENTITY hamcrest-version             "1.3">
-<!ENTITY openjdk-version              "1.7.0.60">
-
-<!ENTITY python2-majorver             "2.7">
-<!ENTITY python3-majorver             "3.4">
-
-<!-- Perl module versions used in the Perl Modules instructions -->
-<!ENTITY Archive-Zip-version          "1.37">
-<!ENTITY Glib-perl-version            "1.280">
-<!ENTITY HTML-Parser-version          "3.71">
-<!ENTITY LWP-version                  "6.05">
-<!ENTITY Net-DNS-version              "0.76">
-<!ENTITY SGMLSpm-version              "1.1">
-<!ENTITY URI-version                  "1.60">
-<!ENTITY XML-Parser-version           "2.41">
-<!ENTITY XML-Simple-version           "2.20">
-
-<!-- Python module versions used in the Python Modules instructions -->
-<!ENTITY dbus-python-version          "1.2.0">
-<!ENTITY py2cairo-version             "1.10.0">
-<!ENTITY pycairo-version              "1.10.0">
-<!ENTITY pygobject2-version           "2.28.6">
-<!ENTITY pygobject3-version           "3.12.2">
-<!ENTITY pygtk-version                "2.24.0">
-<!ENTITY pyxdg-version                "0.25">
-
-<!-- Part IV -->
-<!-- Chapter 14 -->
-<!ENTITY ppp-version                  "2.4.5">
-<!ENTITY dhcpcd-version               "6.4.2">
-<!ENTITY dhcp-version                 "4.3.0">
-
-<!-- Chapter 15 -->
-<!ENTITY bridgeutils-version          "1.5">
-<!ENTITY cifsutils-version            "6.4">
-<!ENTITY ncftp-version                "3.2.5">
-<!ENTITY net-tools-version            "CVS_20101030">
-<!ENTITY nfs-utils-version            "1.3.0">
-<!ENTITY ntp-version                  "4.2.6p5">
-<!ENTITY rpcbind-version              "0.2.1">
-<!ENTITY rsync-version                "3.1.1">
-<!ENTITY samba-version                "4.1.9">
-<!ENTITY wget-version                 "1.15">
-<!ENTITY wireless-tools-version       "29">
-<!ENTITY wpa_supplicant-version       "2.2">
-
-<!-- Chapter 16 -->
-<!ENTITY avahi-version                "0.6.31">
-<!ENTITY bind-version                 "9.10.0-P2">
-<!ENTITY mod_dnssd-version            "0.6">
-<!ENTITY NetworkManager-version       "0.9.10.0">
-<!ENTITY nmap-version                 "6.46">
-<!ENTITY traceroute-version           "2.0.20">
-<!ENTITY whois-version                "5.1.4">
-<!ENTITY wicd-version                 "1.7.2.4">
-<!ENTITY wireshark-version            "1.10.8">  <!-- even minors only -->
-
-<!ENTITY wicd-major-version           "1.7">
-
-<!-- Chapter 17 -->
-<!ENTITY curl-version                 "7.37.1">
-<!ENTITY geoclue-version              "0.12.0">
-<!ENTITY glib-networking-version      "2.40.1">
-<!ENTITY ldns-version                 "1.6.17">
-<!ENTITY libevent-version             "2.0.21">
-<!ENTITY libnice-version              "0.1.7">
-<!ENTITY libnl-version                "3.2.25">
-<!ENTITY libpcap-version              "1.5.3">
-<!ENTITY libndp-version               "1.3">
-<!ENTITY libproxy-version             "0.4.7">
-<!ENTITY libsoup-version              "2.46.0">
-<!ENTITY libtirpc-version             "0.2.4">
-<!ENTITY neon-version                 "0.30.0">
-<!ENTITY serf-version                 "1.3.6">
-
-<!-- Chapter 18 -->
-<!ENTITY Links-version                "2.8">
-<!ENTITY lynx-version                 "2.8.8rel.2">
-<!ENTITY w3m-version                  "0.5.3">
-
-<!-- Chapter 19 -->
-<!ENTITY mailx-version                "12.4">
-<!ENTITY procmail-version             "3.22">
-<!ENTITY fetchmail-version            "6.3.26">
-<!ENTITY mutt-version                 "1.5.23">
-<!ENTITY re-alpine-version            "2.03">
-
-<!-- Part V -->
-<!-- Chapter 20 -->
-<!ENTITY apache-version               "2.4.9">
-<!ENTITY proftpd-version              "1.3.5">
-<!ENTITY vsftpd-version               "3.0.2">
-
-<!-- Chapter 21 -->
-<!ENTITY dovecot-major                "2">
-<!ENTITY dovecot-minor                "2">
-<!ENTITY dovecot-micro                "13">
-<!ENTITY dovecot-version              "&dovecot-major;.&dovecot-minor;.&dovecot-micro;">
-
-<!ENTITY exim-version                 "4.82.1">
-<!ENTITY postfix-version              "2.11.1">
-<!ENTITY sendmail-version             "8.14.9">
-
-<!-- Chapter 22 -->
-<!ENTITY db-version                   "6.1.19">
-<!ENTITY mariadb-version              "10.0.12">
-<!ENTITY postgresql-version           "9.3.4">
-<!ENTITY sqlite-version               "3.8.5">
-
-<!-- Chapter 23 -->
-<!ENTITY openldap-version             "2.4.39">
-<!ENTITY soprano-version              "2.9.4">
-<!ENTITY unbound-version              "1.4.22">
-<!ENTITY virtuoso-version             "6.1.8">
-<!ENTITY xinetd-version               "2.3.15">
-
-<!-- Part VI -->
-<!-- Chapter 24 -->                               <!-- stable lt .90 micro version -->
-<!ENTITY xorg-version                 "7.7">      <!-- applies to all xorg packages -->
-<!ENTITY util-macros-version          "1.19.0">
-<!ENTITY libXau-version               "1.0.8">
-<!ENTITY libXdmcp-version             "1.1.1">
-<!ENTITY libpthread-stubs-version     "0.3">
-<!ENTITY xcb-proto-version            "1.10">
-<!ENTITY libxcb-version               "1.10">
-<!ENTITY xbitmaps-version             "1.1.1">
-<!ENTITY xcursor-themes-version       "1.0.4">
-<!ENTITY xkeyboard-config-version     "2.12">
-<!ENTITY mesalib-version              "10.2.4">
-<!ENTITY xcb-util-version             "0.3.9">
-<!ENTITY xcb-util-image-version       "0.3.9">
-<!ENTITY xcb-util-keysyms-version     "0.3.9">
-<!ENTITY xcb-util-renderutil-version  "0.3.9">
-<!ENTITY xcb-util-wm-version          "0.4.1">
-<!ENTITY xorg-server-version          "1.16.0">
-<!ENTITY twm-version                  "1.0.8">
-<!ENTITY xterm-version                "309">
-<!ENTITY xclock-version               "1.0.7">
-<!ENTITY xinit-version                "1.3.3">
-
-<!-- Chapter 25 -->
-<!ENTITY agg-version                  "2.5">
-<!ENTITY atk-version                  "2.12.0">
-<!ENTITY atkmm-version                "2.22.7">
-<!ENTITY at-spi2-core-version         "2.12.0">
-<!ENTITY at-spi2-atk-version          "2.12.1">
-<!ENTITY cairo-version                "1.12.16">
-<!ENTITY cairomm-version              "1.10.0">
-<!ENTITY cogl-version                 "1.18.2">
-<!ENTITY clutter-version              "1.18.2">
-<!ENTITY clutter-gst2-version         "2.0.12">
-<!ENTITY clutter-gtk-version          "1.4.4">
-<!ENTITY fltk-version                 "1.3.2">
-<!ENTITY freeglut-version             "2.8.1">
-<!ENTITY gdk-pixbuf-version           "2.30.8">
-<!ENTITY glu-version                  "9.0.0">
-<!ENTITY goffice010-version           "0.10.17">
-<!ENTITY gtk2-version                 "2.24.24">
-<!ENTITY gtk3-version                 "3.12.2">
-<!ENTITY gtk-engines-version          "2.20.2">
-<!ENTITY gtkmm2-version               "2.24.4">
-<!ENTITY gtkmm3-version               "3.12.0">
-<!ENTITY hicolor-icon-theme-version   "0.13">
-<!ENTITY libnotify-version            "0.7.6">
-<!ENTITY libxklavier-version          "5.3">
-<!ENTITY pango-version                "1.36.5">
-<!ENTITY pangomm-version              "2.34.0">
-<!ENTITY qt4-version                  "4.8.6">
-<!ENTITY qt5-version                  "5.3.1">
-<!ENTITY shared-mime-info-version     "1.3">
-<!ENTITY startup-notification-version "0.12">
-<!ENTITY webkitgtk-version            "1.10.2">   <!-- Even minors only -->
-<!ENTITY webkitgtk2-version           "2.4.4">    <!-- Even minors only -->
-<!ENTITY xulrunner-version            "30.0">
-
-<!ENTITY gtk2-libdir                  "2.0/2.10.0">
-<!ENTITY qt4-dir                      "$QT4DIR">
-
-<!-- Chapter 26 -->
-<!ENTITY fluxbox-version              "1.3.5">
-<!ENTITY icewm-version                "1.3.8">
-<!ENTITY openbox-version              "3.5.2">
-<!ENTITY sawfish-version              "1.10">
-
-<!-- Part VII -->
-<!-- Chapters 27-29 -->                           <!-- stable lt .90 micro version -->
-<!ENTITY kde-version                  "4.13.2">    <!-- applies to all kde packages -->
-<!ENTITY kde-dldir                    "&kde-version;">
-<!ENTITY kde-download-http            "http://download.kde.org/stable/">
-<!ENTITY kde-download-ftp             "ftp://ftp.kde.org/pub/kde/stable/">
-<!ENTITY kde-dir-var                  "KDE_PREFIX">
-<!ENTITY kde-dir                      "$&kde-dir-var;">
-<!ENTITY kde-workspace-version        "4.11.10">
-<!ENTITY automoc4-version             "0.9.88">
-<!ENTITY phonon-version               "4.7.2">
-<!ENTITY phonon-backend-gstreamer-version "4.7.2">
-<!ENTITY phonon-backend-vlc-version   "0.7.2">
-<!ENTITY akonadi-version              "1.12.1">
-<!ENTITY attica-version               "0.4.2">
-<!ENTITY qimageblitz-version          "0.0.6">
-<!ENTITY shared-desktop-ontologies-version "0.11.0">
-<!ENTITY grantlee-version             "0.4.0">
-<!ENTITY polkit-qt-version            "0.112.0">
-<!ENTITY polkit-kde-agent-version     "0.99.0">
-
-<!-- Part VIII -->
-<!ENTITY % gnome-entities SYSTEM      "gnome.ent">
-%gnome-entities;
-
-<!-- Part IX -->
-<!-- Chapter 32 -->
-<!ENTITY xfce4-version                "4.10">
-
-<!ENTITY libxfce4util-version         "4.10.1">
-<!ENTITY xfconf-version               "4.10.0">
-<!ENTITY libxfce4ui-version           "4.10.0">
-<!ENTITY exo-version                  "0.10.2">
-<!ENTITY garcon-version               "0.3.0">
-<!ENTITY gtk-xfce-engine-version      "3.0.1">
-<!ENTITY libwnck2-version             "2.30.7">
-<!ENTITY libxfcegui4-version          "4.10.0">
-<!ENTITY xfce4-panel-version          "4.10.1">
-<!ENTITY thunar-version               "1.6.3">
-<!ENTITY thunar-volman-version        "0.8.0">
-<!ENTITY tumbler-version              "0.1.30">
-<!ENTITY xfce4-appfinder-version      "4.10.1">
-<!ENTITY xfce4-power-manager-version  "1.2.0">
-<!ENTITY xfce4-settings-version       "4.10.1">
-<!ENTITY xfdesktop-version            "4.10.2">
-<!ENTITY xfwm4-version                "4.10.1">
-<!ENTITY xfce4-session-version        "4.10.1">
-
-<!-- Chapter 33 -->
-<!ENTITY midori-version               "0.5.8">
-<!ENTITY parole-version               "0.5.4">
-<!ENTITY gtksourceview2-version       "2.10.5">
-<!ENTITY mousepad-version             "0.3.0">
-<!ENTITY vte2-version                 "0.28.2">
-<!ENTITY xfce4-terminal-version       "0.6.3">
-<!ENTITY xfburn-version               "0.5.2">
-<!ENTITY ristretto-version            "0.6.3">
-<!ENTITY libunique-version            "1.1.6">
-<!ENTITY xfce4-mixer-version          "4.10.0">
-<!ENTITY xfce4-notifyd-version        "0.2.4">
-
-<!-- Part X -->
-<!-- Chapter 34 -->
-<!ENTITY lxmenu-data-version          "0.1.2">
-<!ENTITY lxde-icon-theme-version      "0.5.0">
-<!ENTITY menu-cache-version           "0.5.1">
-<!ENTITY libfm-version                "1.2.1">
-<!ENTITY pcmanfm-version              "1.2.1">
-<!ENTITY lxpanel-version              "0.6.2">
-<!ENTITY lxappearance-version         "0.5.5">
-<!ENTITY lxpolkit-version             "0.1.0">
-<!ENTITY lxsession-version            "0.4.9.2">
-<!ENTITY lxde-common-version          "0.5.5">
-
-<!-- Chapter 35 -->
-<!ENTITY gpicview-version             "0.2.4">
-<!ENTITY lxappearance-obconf-version  "0.2.1">
-<!ENTITY lxinput-version              "0.3.2">
-<!ENTITY lxrandr-version              "0.1.2">
-<!ENTITY lxtask-version               "0.1.4">
-<!ENTITY lxterminal-version           "0.1.11">
-
-<!-- Part X -->
-<!-- Chapter 34 -->
-<!ENTITY AbiWord-version              "3.0.0">
-<!ENTITY gnumeric-version             "1.12.17">
-<!ENTITY gnucash-version              "2.4.11">
-
-<!ENTITY libreoffice-version          "4.2.5">
-<!ENTITY libreoffice-patch            ".2">
-<!ENTITY libreoffice-dlversion        "&libreoffice-version;&libreoffice-patch;">
-
-<!-- Chapter 35 -->
-<!ENTITY seamonkey-version            "2.26.1">
-<!ENTITY firefox-version              "&xulrunner-version;">
-
-<!-- Chapter 36 -->
-<!ENTITY balsa-version                "2.5.1">
-<!ENTITY ekiga-version                "4.0.1">
-<!ENTITY fontforge-version            "2.0.20140101">
-<!ENTITY gparted-version              "0.19.1">
-<!ENTITY gnash-version                "0.8.10">
-<!ENTITY gimp-version                 "2.8.10">
-<!ENTITY icedtea-web-version          "1.5">
-<!ENTITY inkscape-version             "0.48.5">
-<!ENTITY pan-version                  "0.133">
-<!ENTITY pidgin-version               "2.10.9">
-<!ENTITY rox-filer-version            "2.11">
-<!ENTITY rxvt-unicode-version         "9.20">
-<!ENTITY thunderbird-version          "24.6.0">
-<!ENTITY tigervnc-version             "1.3.1">
-<!ENTITY transmission-version         "2.84">
-<!ENTITY xchat-version                "2.8.8">
-<!ENTITY xdg-utils-version            "1.1.0-rc2">
-
-<!-- Part XI -->
-<!-- Chapter 37 -->
-<!ENTITY alsa-download-http           "http://alsa.cybermirror.org">
-<!ENTITY alsa-download-ftp            "ftp://ftp.alsa-project.org/pub">
-<!ENTITY alsa-version                 "1.0.28">
-<!ENTITY alsa-lib-version             "1.0.28">
-<!ENTITY alsa-plugins-version         "1.0.28">
-<!ENTITY alsa-utils-version           "1.0.28">
-<!ENTITY alsa-tools-version           "1.0.28">
-<!ENTITY alsa-firmware-version        "1.0.28">
-<!ENTITY alsa-oss-version             "1.0.28">
-<!ENTITY audiofile-version            "0.3.6">
-<!ENTITY faac-version                 "1.28">
-<!ENTITY faad2-version                "2.7">
-<!ENTITY farstream-version            "0.2.3">
-<!ENTITY fdk-aac-version              "0.1.3">
-<!ENTITY flac-version                 "1.3.0">
-<!ENTITY grilo-version                "0.2.10">
-<!ENTITY grilo-plugins-version        "0.2.12">
-<!ENTITY gstreamer-version            "0.10.36">
-<!ENTITY gst-plugins-base-version     "0.10.36">
-<!ENTITY gst-plugins-good-version     "0.10.31">
-<!ENTITY gst-plugins-bad-version      "0.10.23">
-<!ENTITY gst-plugins-ugly-version     "0.10.19">
-<!ENTITY gst-ffmpeg-version           "0.10.13">
-<!ENTITY gstreamer10-version          "1.2.4">  <!-- Even minors only -->
-<!ENTITY gst10-plugins-base-version   "1.2.4">  <!-- Even minors only -->
-<!ENTITY gst10-plugins-good-version   "1.2.4">  <!-- Even minors only -->
-<!ENTITY gst10-plugins-bad-version    "1.2.4">  <!-- Even minors only -->
-<!ENTITY gst10-plugins-ugly-version   "1.2.4">  <!-- Even minors only -->
-<!ENTITY gst10-libav-version          "1.2.4">  <!-- Even minors only -->
-<!ENTITY liba52-version               "0.7.4">
-<!ENTITY libao-version                "1.2.0">
-<!ENTITY libass-version               "0.11.2">
-<!ENTITY libcanberra-version          "0.30">
-<!ENTITY libdiscid-version            "0.6.1">
-<!ENTITY libdvdcss-version            "1.2.13">
-<!ENTITY libdvdread-version           "4.9.9">
-<!ENTITY libdvdnav-version            "4.2.1">
-<!ENTITY libdv-version                "1.0.0">
-<!ENTITY libmad-version               "0.15.1b">
-<!ENTITY libmpeg2-version             "0.5.1">
-<!ENTITY libmusicbrainz-version       "2.1.5">
-<!ENTITY libmusicbrainz3-version      "3.0.3">
-<!ENTITY libmusicbrainz5-version      "5.0.1">
-<!ENTITY libogg-version               "1.3.2">
-<!ENTITY libquicktime-version         "1.2.4">
-<!ENTITY libsamplerate-version        "0.1.8">
-<!ENTITY libsndfile-version           "1.0.25">
-<!ENTITY libtheora-version            "1.1.1">
-<!ENTITY libvorbis-version            "1.3.4">
-<!ENTITY libvpx-version               "1.3.0">
-<!ENTITY opal-version                 "3.10.10">
-<!ENTITY opus-version                 "1.1">
-<!ENTITY pulseaudio-major-version     "5.0">
-<!ENTITY pulseaudio-version           "&pulseaudio-major-version;">
-<!ENTITY sdl-version                  "1.2.15">
-<!ENTITY soundtouch-version           "1.8.0">
-<!ENTITY speex-version                "1.2rc1">
-<!ENTITY taglib-version               "1.9.1">
-<!ENTITY x264-version                 "20140709-2245">
-<!ENTITY xine-lib-version             "1.2.6">
-<!ENTITY xvid-version                 "1.3.3">
-
-<!-- Chapter 38 -->
-<!ENTITY libva-version                "1.3.1">
-<!ENTITY libva-intel-driver-version   "1.3.2">
-<!ENTITY libvdpau-version             "0.8">
-<!ENTITY libvdpau-va-gl-version       "0.3.4">
-
-<!-- Chapter 39 -->
-<!ENTITY mpg123-version               "1.20.1">
-<!ENTITY vorbistools-version          "1.4.0">
-<!ENTITY lame-version                 "3.99.5">
-<!ENTITY CDParanoia-version           "III-10.2">
-<!ENTITY freetts-version              "1.2.2">
-<!ENTITY audacious-version            "3.5">
-<!ENTITY audacious-plugins-version    "3.5">
-<!ENTITY amarok-version               "2.8.0">
-<!ENTITY pnmixer-version              "0.5.1">
-
-<!-- Chapter 40 -->
-<!ENTITY ffmpeg-version               "2.2.4">
-<!ENTITY mplayer-version              "1.1.1">
-<!ENTITY xine-ui-version              "0.99.8">
-<!ENTITY transcode-version            "1.1.7">
-<!ENTITY vlc-version                  "2.1.5">
-
-<!-- Chapter 41 -->
-<!ENTITY cdrdao-version               "1.2.3">
-<!ENTITY dvd-rw-tools-version         "7.1">
-<!ENTITY k3b-version                  "2.0.2">
-<!ENTITY libburn-version              "1.3.8">
-<!ENTITY libisoburn-version           "1.3.8">
-<!ENTITY libisofs-version             "1.3.8">
-<!ENTITY simpleburn-version           "1.6.5">
-
-<!-- Part XII -->
-<!-- Chapter 42 -->
-<!ENTITY cups-version                 "1.7.4">
-<!ENTITY cups-filters-version         "1.0.54">
-<!ENTITY gs-version                   "9.14">
-<!ENTITY gutenprint-version           "5.2.10">
-
-<!-- Chapter 43 -->
-<!ENTITY sane-version                 "1.0.24">
-<!ENTITY sane-fe-version              "1.0.14">
-<!ENTITY xsane-version                "0.999">
-
-<!-- Chapter 44 -->
-<!ENTITY sgml-common-version          "0.6.3">
-<!ENTITY sgml-dtd-3-version           "3.1">
-<!ENTITY sgml-dtd-version             "4.5">
-<!ENTITY opensp-version               "1.5.2">
-<!ENTITY openjade-version             "1.3.2">
-<!ENTITY docbook-dsssl-version        "1.79">
-<!ENTITY docbook-utils-version        "0.6.14">
-
-<!-- Chapter 45 -->
-<!ENTITY DocBook-version              "4.5">
-<!ENTITY docbook-xsl-version          "1.78.1">
-<!ENTITY itstool-version              "2.0.2">
-<!ENTITY xmlto-version                "0.0.26">
-
-<!-- Chapter 46 -->
-<!ENTITY a2ps-version                 "4.14">
-<!ENTITY enscript-version             "1.6.6">
-<!ENTITY psutils-version              "p17">
-<!ENTITY epdfview-version             "0.1.8">
-<!ENTITY fop-version                  "1.1">
-<!ENTITY paps-version                 "0.6.8">
-
-<!-- Chapter 47 -->
-<!ENTITY texlive-version              "20140525">
-<!-- the year is used when setting up PATHs in the tl-installer
- page, as well as to reference the directory in texlive -->
-<!ENTITY texlive-year                 "2014">
-
+<!ENTITY % package-entities SYSTEM      "packages.ent">
+%package-entities;