Index: networking/netutils/nmap.xml
===================================================================
--- networking/netutils/nmap.xml	(revision 3b10fa875d5af225fc88648c6ea44ed7177f26c9)
+++ networking/netutils/nmap.xml	(revision 172628204b5a5a49ebe6d1b3707a213af76a5495)
@@ -7,8 +7,8 @@
   <!ENTITY nmap-download-http "&sources-anduin-http;/n/nmap-&nmap-version;.tar.bz2">
   <!ENTITY nmap-download-ftp  "&gentoo-ftp-repo;/nmap-&nmap-version;.tar.bz2">
-  <!ENTITY nmap-md5sum        "ea50419f99472200c4184a304e3831ea">
-  <!ENTITY nmap-size          "2.1 MB">
-  <!ENTITY nmap-buildsize     "21 MB">
-  <!ENTITY nmap-time          "0.3 SBU">
+  <!ENTITY nmap-md5sum        "0b80d2cb92ace5ebba8095a4c2850275">
+  <!ENTITY nmap-size          "16.1 MB">
+  <!ENTITY nmap-buildsize     "102 MB">
+  <!ENTITY nmap-time          "0.7 SBU">
 ]>
 
@@ -33,4 +33,6 @@
     and security auditing. It supports ping scanning, port scanning and
     TCP/IP fingerprinting.</para>
+
+    &lfs70_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -62,5 +64,5 @@
     <xref linkend="pcre"/>,
     <xref linkend="libpcap"/>,
-    <xref linkend="gtk2"/> (for building the graphical front-end), and
+    <xref linkend="gtk2"/> (run time dependency), and
     <ulink url="http://sourceforge.net/projects/libdnet/">libdnet</ulink></para>
 
@@ -96,6 +98,6 @@
 
       <seglistitem>
-        <seg>nmap and optionally, nmapfe and xnmap</seg>
-        <seg>None</seg>
+        <seg>ncat, ndiff, nmap, nmapfe, nping, uninstall_zenmap, xnmap, and zenmap</seg>
+        <seg>/usr/lib/python&python2-version;/site-packages/</seg>
         <seg>/usr/share/nmap</seg>
       </seglistitem>
@@ -107,10 +109,31 @@
       <?dbhtml list-presentation="table"?>
 
+      <varlistentry id="ncat">
+        <term><command>ncat</command></term>
+        <listitem>
+          <para>is a utility for reading and writing data across networks from
+          the command line.</para>
+          <indexterm zone="nmap ncat">
+            <primary sortas="b-ncat">ncat</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="ndiff">
+        <term><command>ndiff</command></term>
+        <listitem>
+          <para>is a tool to aid in the comparison of Nmap scans.</para>
+          <indexterm zone="nmap ndiff">
+            <primary sortas="b-ndiff">ndiff</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="nmap-prog">
         <term><command>nmap</command></term>
         <listitem>
           <para>is a utility for network exploration and security auditing. It
-          supports ping scanning, port scanning and
-          TCP/IP fingerprinting.</para>
+          supports ping scanning, port scanning and TCP/IP
+          fingerprinting.</para>
           <indexterm zone="nmap nmap-prog">
             <primary sortas="b-nmap">nmap</primary>
@@ -122,5 +145,5 @@
         <term><command>nmapfe</command></term>
         <listitem>
-          <para>is the graphical front end to <command>nmap</command>.</para>
+          <para>is a symbolic link to <command>zenmap.</command>.</para>
           <indexterm zone="nmap nmapfe">
             <primary sortas="b-nmapfe">nmapfe</primary>
@@ -132,7 +155,18 @@
         <term><command>xnmap</command></term>
         <listitem>
-          <para>is a symbolic link to <command>nmapfe</command>.</para>
+          <para>is a symbolic link to <command>zenmap.</command>.</para>
           <indexterm zone="nmap xnmap">
             <primary sortas="f-xnmap">xnmap</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="zenmap">
+        <term><command>zenmap</command></term>
+        <listitem>
+          <para>is a Python based graphical nmap frontend viewer.
+          <xref linkend='gtk2'/> is a required run time dependency.</para>
+          <indexterm zone="nmap zenmap">
+            <primary sortas="f-zenmap">zenmap</primary>
           </indexterm>
         </listitem>