Index: general/general.ent
===================================================================
--- general/general.ent	(revision 44fb5adec142a86c788f0b9908790571a62d9b25)
+++ general/general.ent	(revision 1776828493805b59f2e25d668d1556df06323190)
@@ -12,5 +12,5 @@
 <!ENTITY % gmp SYSTEM "genlib/gmp/gmp.ent">
 <!ENTITY % gdbm SYSTEM "genlib/gdbm/gdbm.ent">
-
+<!ENTITY % libglade SYSTEM "genlib/libglade/libglade.ent">
 %zlib;
 %openssl;
@@ -22,4 +22,5 @@
 %gmp;
 %gdbm;
+%libglade;
 
 <!-- Graphics Libraries -->
Index: general/genlib/genlib.xml
===================================================================
--- general/genlib/genlib.xml	(revision 44fb5adec142a86c788f0b9908790571a62d9b25)
+++ general/genlib/genlib.xml	(revision 1776828493805b59f2e25d668d1556df06323190)
@@ -43,4 +43,5 @@
 &gmp;
 &gdbm;
+&libglade;
 
 </chapter>
Index: general/genlib/libglade.xml
===================================================================
--- general/genlib/libglade.xml	(revision 1776828493805b59f2e25d668d1556df06323190)
+++ general/genlib/libglade.xml	(revision 1776828493805b59f2e25d668d1556df06323190)
@@ -0,0 +1,11 @@
+<sect1 id="libglade" xreflabel="libglade-&libglade-version;">
+<?dbhtml filename="libglade.html" dir="general"?>
+<title>libglade-&libglade-version;</title>
+
+&libglade-intro;
+&libglade-inst;
+&libglade-config;
+&libglade-desc;
+
+</sect1>
+
Index: general/genutils/rep-gtk.xml
===================================================================
--- general/genutils/rep-gtk.xml	(revision 44fb5adec142a86c788f0b9908790571a62d9b25)
+++ general/genutils/rep-gtk.xml	(revision 1776828493805b59f2e25d668d1556df06323190)
@@ -5,5 +5,4 @@
 &rep-gtk-intro;
 &rep-gtk-inst;
-&rep-gtk-exp;
 &rep-gtk-desc;
 
Index: neral/genutils/rep-gtk/rep-gtk-exp.xml
===================================================================
--- general/genutils/rep-gtk/rep-gtk-exp.xml	(revision 44fb5adec142a86c788f0b9908790571a62d9b25)
+++ 	(revision )
@@ -1,8 +1,0 @@
-<sect2>
-<title>Command explanations</title>
-
-<para><userinput>--without-libglade :</userinput> This command
-eliminates the requirement for libglade.</para>
-
-</sect2>
-
Index: general/genutils/rep-gtk/rep-gtk-inst.xml
===================================================================
--- general/genutils/rep-gtk/rep-gtk-inst.xml	(revision 44fb5adec142a86c788f0b9908790571a62d9b25)
+++ general/genutils/rep-gtk/rep-gtk-inst.xml	(revision 1776828493805b59f2e25d668d1556df06323190)
@@ -4,5 +4,5 @@
 <para>Install rep-gtk by running the following commands:</para>
 
-<para><screen><userinput>./configure --prefix=/usr --without-libglade &amp;&amp;
+<para><screen><userinput>./configure --prefix=/usr &amp;&amp;
 make &amp;&amp;
 make install</userinput></screen></para>
Index: general/genutils/rep-gtk/rep-gtk-intro.xml
===================================================================
--- general/genutils/rep-gtk/rep-gtk-intro.xml	(revision 44fb5adec142a86c788f0b9908790571a62d9b25)
+++ general/genutils/rep-gtk/rep-gtk-intro.xml	(revision 1776828493805b59f2e25d668d1556df06323190)
@@ -16,4 +16,4 @@
 <xref linkend="GTK2"/>, <xref linkend="gdk"/> and <xref linkend="librep"/>
 rep-gtk will utilize:
-libglade</screen>
+<xref linkend="libglade"/></screen>
 </sect2>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 44fb5adec142a86c788f0b9908790571a62d9b25)
+++ introduction/welcome/changelog.xml	(revision 1776828493805b59f2e25d668d1556df06323190)
@@ -12,5 +12,5 @@
 
 <listitem><para>August 18th, 2002 [larry]: General: added gmp-4.1,
-gdbm-1.8.0, librep-0.16.1 and rep-gtk-0.15.</para></listitem>
+gdbm-1.8.0, librep-0.16.1 libglade-2.0.0 and rep-gtk-0.16.</para></listitem>
 
 <listitem><para>August 17th, 2002 [larry]: Added patch paragraph to
Index: introduction/welcome/credits.xml
===================================================================
--- introduction/welcome/credits.xml	(revision 44fb5adec142a86c788f0b9908790571a62d9b25)
+++ introduction/welcome/credits.xml	(revision 1776828493805b59f2e25d668d1556df06323190)
@@ -76,5 +76,5 @@
 <listitem><para>ATK, audiofile, bc, cdrdao, cdrtools, cpio, curl, dhcp, fcron,
 fluxbox, gcc, gdbm, gmp, gnat, imlib, GLib2, GTK+2, j2sdk, libao,
-libogg, librep, libvorbis, libxml2, libxslt, mutt, OpenSSH, Pango,
+libglade, libogg, librep, libvorbis, libxml2, libxslt, mutt, OpenSSH, Pango,
 pccts, pcre, pkgconfig, postfix, procmail, Python, QT, rep-gtk, ruby, unzip, vorbis-tools, wget, XFce and zip: <emphasis>Larry Lawrence</emphasis></para></listitem>
 